About Us
Home
Contributors
License
Components
Sandbox
Jelly
Overview
FAQ
Getting Started
Tutorial
Detail
JellyDoc
Download
Tag Reference
Community
IRC
Powered By
To Do List
Features
JellyUnit
JellySwing
JellySWT
XML Pipeline
Core Tags
Tag Libraries
Change Log
Changes
Checkstyle
Developer Activity
File Activity
JavaDocs
JavaDoc Report
JavaDoc Warnings Report
JCoverage
Metrics
Unit Tests
Source Xref
Test Xref
Project License
PMD Report
Task List
General Information
Charter
Volunteering
Contributing Patches
Releasing Components
Jakarta Community
Get Involved
Mailing Lists
Commons Resources (Unofficial)
Wiki
Japanese Translation
Korean Translation
Related
DB Commons
XML Commons

### Checkstyle Results

The following document contains the results of Checkstyle .

### Summary

Files | Infos | Warnings | Errors
--- | --- | --- | ---
291 | 24 | 2805 | 81

### Files

Files | I | W | E
--- | --- | --- | ---
org/apache/commons/jelly/CompilableTag.java | 0 | 1 | 0
org/apache/commons/jelly/DynaBeanTagSupport.java | 0 | 1 | 0
org/apache/commons/jelly/DynaBeanTagSupport.java | 0 | 16 | 0
org/apache/commons/jelly/DynaTag.java | 0 | 1 | 0
org/apache/commons/jelly/DynaTag.java | 0 | 9 | 0
org/apache/commons/jelly/DynaTagSupport.java | 0 | 1 | 0
org/apache/commons/jelly/DynaTagSupport.java | 0 | 1 | 0
org/apache/commons/jelly/DynaTagSupport.java | 0 | 3 | 0
org/apache/commons/jelly/Jelly.java | 0 | 1 | 0
org/apache/commons/jelly/Jelly.java | 0 | 67 | 0
org/apache/commons/jelly/JellyContext.java | 0 | 1 | 0
org/apache/commons/jelly/JellyContext.java | 0 | 1 | 0
org/apache/commons/jelly/JellyContext.java | 1 | 206 | 3
org/apache/commons/jelly/JellyException.java | 0 | 1 | 0
org/apache/commons/jelly/JellyException.java | 0 | 1 | 0
org/apache/commons/jelly/JellyException.java | 0 | 43 | 0
org/apache/commons/jelly/JellyTagException.java | 0 | 1 | 0
org/apache/commons/jelly/JellyTagException.java | 0 | 2 | 0
org/apache/commons/jelly/JellyTagException.java | 0 | 20 | 0
org/apache/commons/jelly/LocationAware.java | 0 | 1 | 0
org/apache/commons/jelly/LocationAware.java | 0 | 3 | 0
org/apache/commons/jelly/LocationAware.java | 0 | 12 | 0
org/apache/commons/jelly/MapTagSupport.java | 0 | 1 | 0
org/apache/commons/jelly/MapTagSupport.java | 0 | 9 | 0
org/apache/commons/jelly/MissingAttributeException.java | 0 | 1 | 0
org/apache/commons/jelly/MissingAttributeException.java | 0 | 4 | 0
org/apache/commons/jelly/MissingAttributeException.java | 0 | 5 | 0
org/apache/commons/jelly/NamespaceAwareTag.java | 0 | 1 | 0
org/apache/commons/jelly/NamespaceAwareTag.java | 0 | 2 | 0
org/apache/commons/jelly/Script.java | 0 | 1 | 0
org/apache/commons/jelly/Script.java | 0 | 5 | 0
org/apache/commons/jelly/Script.java | 0 | 8 | 0
org/apache/commons/jelly/Tag.java | 0 | 1 | 0
org/apache/commons/jelly/Tag.java | 0 | 6 | 0
org/apache/commons/jelly/Tag.java | 0 | 26 | 0
org/apache/commons/jelly/TagLibrary.java | 0 | 1 | 0
org/apache/commons/jelly/TagLibrary.java | 0 | 47 | 0
org/apache/commons/jelly/TagSupport.java | 0 | 1 | 0
org/apache/commons/jelly/TagSupport.java | 0 | 60 | 5
org/apache/commons/jelly/XMLOutput.java | 0 | 1 | 0
org/apache/commons/jelly/XMLOutput.java | 0 | 71 | 0
org/apache/commons/jelly/expression/CompositeExpression.java | 0 | 1 | 0
org/apache/commons/jelly/expression/CompositeExpression.java | 2 | 106 | 0
org/apache/commons/jelly/expression/ConstantExpression.java | 0 | 1 | 0
org/apache/commons/jelly/expression/ConstantExpression.java | 0 | 11 | 0
org/apache/commons/jelly/expression/Expression.java | 0 | 1 | 0
org/apache/commons/jelly/expression/Expression.java | 0 | 18 | 0
org/apache/commons/jelly/expression/ExpressionFactory.java | 0 | 1 | 0
org/apache/commons/jelly/expression/ExpressionFactory.java | 0 | 5 | 0
org/apache/commons/jelly/expression/ExpressionSupport.java | 0 | 1 | 0
org/apache/commons/jelly/expression/ExpressionSupport.java | 0 | 51 | 0
org/apache/commons/jelly/expression/jexl/JexlExpression.java | 0 | 1 | 0
org/apache/commons/jelly/expression/jexl/JexlExpression.java | 0 | 39 | 0
org/apache/commons/jelly/expression/jexl/JexlExpressionFactory.java | 0 | 1 | 0
org/apache/commons/jelly/expression/jexl/JexlExpressionFactory.java | 1 | 25 | 1
org/apache/commons/jelly/expression/xpath/XPathExpression.java | 0 | 1 | 0
org/apache/commons/jelly/expression/xpath/XPathExpression.java | 0 | 30 | 1
org/apache/commons/jelly/expression/xpath/package.html | 0 | 1 | 0
org/apache/commons/jelly/impl/Attribute.java | 0 | 1 | 0
org/apache/commons/jelly/impl/Attribute.java | 0 | 5 | 0
org/apache/commons/jelly/impl/BeanSource.java | 0 | 1 | 0
org/apache/commons/jelly/impl/BeanSource.java | 0 | 4 | 0
org/apache/commons/jelly/impl/BreakException.java | 0 | 1 | 0
org/apache/commons/jelly/impl/BreakException.java | 0 | 1 | 0
org/apache/commons/jelly/impl/CollectionTag.java | 0 | 1 | 0
org/apache/commons/jelly/impl/CollectionTag.java | 0 | 5 | 0
org/apache/commons/jelly/impl/CompositeTextScriptBlock.java | 0 | 1 | 0
org/apache/commons/jelly/impl/CompositeTextScriptBlock.java | 0 | 8 | 0
org/apache/commons/jelly/impl/DefaultTagFactory.java | 0 | 1 | 0
org/apache/commons/jelly/impl/DefaultTagFactory.java | 0 | 4 | 0
org/apache/commons/jelly/impl/DefaultTagLibraryResolver.java | 0 | 1 | 0
org/apache/commons/jelly/impl/DefaultTagLibraryResolver.java | 0 | 39 | 1
org/apache/commons/jelly/impl/DynamicBeanTag.java | 0 | 1 | 0
org/apache/commons/jelly/impl/DynamicBeanTag.java | 1 | 58 | 1
org/apache/commons/jelly/impl/DynamicDynaBeanTag.java | 0 | 1 | 0
org/apache/commons/jelly/impl/DynamicDynaBeanTag.java | 0 | 1 | 0
org/apache/commons/jelly/impl/DynamicDynaBeanTag.java | 0 | 36 | 0
org/apache/commons/jelly/impl/DynamicTag.java | 0 | 1 | 0
org/apache/commons/jelly/impl/DynamicTag.java | 0 | 30 | 0
org/apache/commons/jelly/impl/DynamicTagLibrary.java | 0 | 1 | 0
org/apache/commons/jelly/impl/DynamicTagLibrary.java | 0 | 37 | 0
org/apache/commons/jelly/impl/Embedded.java | 0 | 1 | 0
org/apache/commons/jelly/impl/Embedded.java | 0 | 45 | 12
org/apache/commons/jelly/impl/ExpressionScript.java | 0 | 1 | 0
org/apache/commons/jelly/impl/ExpressionScript.java | 0 | 17 | 0
org/apache/commons/jelly/impl/ScriptBlock.java | 0 | 1 | 0
org/apache/commons/jelly/impl/ScriptBlock.java | 0 | 20 | 1
org/apache/commons/jelly/impl/StaticTag.java | 0 | 1 | 0
org/apache/commons/jelly/impl/StaticTag.java | 0 | 16 | 1
org/apache/commons/jelly/impl/StaticTagScript.java | 0 | 1 | 0
org/apache/commons/jelly/impl/StaticTagScript.java | 1 | 31 | 1
org/apache/commons/jelly/impl/TagFactory.java | 0 | 1 | 0
org/apache/commons/jelly/impl/TagFactory.java | 0 | 6 | 0
org/apache/commons/jelly/impl/TagLibraryResolver.java | 0 | 1 | 0
org/apache/commons/jelly/impl/TagLibraryResolver.java | 0 | 3 | 0
org/apache/commons/jelly/impl/TagScript.java | 0 | 1 | 0
org/apache/commons/jelly/impl/TagScript.java | 2 | 167 | 5
org/apache/commons/jelly/impl/TextScript.java | 0 | 1 | 0
org/apache/commons/jelly/impl/TextScript.java | 0 | 27 | 0
org/apache/commons/jelly/parser/DefaultNamespaceFilter.java | 0 | 1 | 0
org/apache/commons/jelly/parser/DefaultNamespaceFilter.java | 0 | 26 | 0
org/apache/commons/jelly/parser/XMLParser.java | 0 | 1 | 0
org/apache/commons/jelly/parser/XMLParser.java | 0 | 2 | 0
org/apache/commons/jelly/parser/XMLParser.java | 4 | 169 | 15
org/apache/commons/jelly/servlet/JellyServlet.java | 0 | 1 | 0
org/apache/commons/jelly/servlet/JellyServlet.java | 0 | 11 | 0
org/apache/commons/jelly/servlet/JellyServletContext.java | 0 | 1 | 0
org/apache/commons/jelly/servlet/JellyServletContext.java | 0 | 14 | 0
org/apache/commons/jelly/tags/Resources.java | 0 | 1 | 0
org/apache/commons/jelly/tags/Resources.java | 0 | 64 | 2
org/apache/commons/jelly/tags/core/ArgTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/ArgTag.java | 2 | 90 | 9
org/apache/commons/jelly/tags/core/ArgTagParent.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/ArgTagParent.java | 0 | 2 | 0
org/apache/commons/jelly/tags/core/BaseClassLoaderTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/BaseClassLoaderTag.java | 0 | 3 | 0
org/apache/commons/jelly/tags/core/BaseClassLoaderTag.java | 0 | 6 | 0
org/apache/commons/jelly/tags/core/BreakTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/BreakTag.java | 0 | 8 | 0
org/apache/commons/jelly/tags/core/CaseTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/CaseTag.java | 1 | 18 | 2
org/apache/commons/jelly/tags/core/CatchTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/CatchTag.java | 0 | 5 | 1
org/apache/commons/jelly/tags/core/ChooseTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/ChooseTag.java | 0 | 6 | 0
org/apache/commons/jelly/tags/core/CoreTagLibrary.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/CoreTagLibrary.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/DefaultTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/DefaultTag.java | 0 | 9 | 1
org/apache/commons/jelly/tags/core/ExprTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/ExprTag.java | 0 | 6 | 0
org/apache/commons/jelly/tags/core/FileTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/FileTag.java | 1 | 55 | 1
org/apache/commons/jelly/tags/core/ForEachTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/ForEachTag.java | 2 | 68 | 0
org/apache/commons/jelly/tags/core/GetStaticTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/GetStaticTag.java | 0 | 14 | 1
org/apache/commons/jelly/tags/core/IfTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/IfTag.java | 0 | 7 | 0
org/apache/commons/jelly/tags/core/ImportTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/ImportTag.java | 0 | 14 | 0
org/apache/commons/jelly/tags/core/IncludeTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/IncludeTag.java | 0 | 20 | 0
org/apache/commons/jelly/tags/core/InvokeStaticTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/InvokeStaticTag.java | 1 | 41 | 0
org/apache/commons/jelly/tags/core/InvokeTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/InvokeTag.java | 1 | 40 | 0
org/apache/commons/jelly/tags/core/JellyTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/JellyTag.java | 0 | 10 | 0
org/apache/commons/jelly/tags/core/MuteTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/MuteTag.java | 0 | 4 | 0
org/apache/commons/jelly/tags/core/NewTag.java | 1 | 35 | 0
org/apache/commons/jelly/tags/core/OtherwiseTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/OtherwiseTag.java | 0 | 12 | 0
org/apache/commons/jelly/tags/core/ParseTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/ParseTag.java | 0 | 45 | 1
org/apache/commons/jelly/tags/core/RemoveTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/RemoveTag.java | 0 | 7 | 0
org/apache/commons/jelly/tags/core/ScopeTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/ScopeTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/SetPropertiesTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/SetPropertiesTag.java | 0 | 13 | 0
org/apache/commons/jelly/tags/core/SetTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/SetTag.java | 1 | 63 | 0
org/apache/commons/jelly/tags/core/SwitchTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/SwitchTag.java | 0 | 16 | 5
org/apache/commons/jelly/tags/core/ThreadTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/ThreadTag.java | 0 | 24 | 3
org/apache/commons/jelly/tags/core/UseBeanTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/UseBeanTag.java | 0 | 57 | 0
org/apache/commons/jelly/tags/core/UseListTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/UseListTag.java | 0 | 12 | 0
org/apache/commons/jelly/tags/core/WhenTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/WhenTag.java | 0 | 17 | 0
org/apache/commons/jelly/tags/core/WhileTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/WhileTag.java | 0 | 10 | 0
org/apache/commons/jelly/tags/core/WhitespaceTag.java | 0 | 1 | 0
org/apache/commons/jelly/tags/core/WhitespaceTag.java | 0 | 10 | 0
org/apache/commons/jelly/tags/package.html | 0 | 1 | 0
org/apache/commons/jelly/test/BaseJellyTest.java | 0 | 1 | 0
org/apache/commons/jelly/test/BaseJellyTest.java | 0 | 14 | 3
org/apache/commons/jelly/test/package.html | 0 | 1 | 0
org/apache/commons/jelly/util/ClassLoaderUtils.java | 0 | 1 | 0
org/apache/commons/jelly/util/ClassLoaderUtils.java | 0 | 25 | 0
org/apache/commons/jelly/util/CommandLineParser.java | 0 | 1 | 0
org/apache/commons/jelly/util/CommandLineParser.java | 2 | 61 | 2
org/apache/commons/jelly/util/NestedRuntimeException.java | 0 | 1 | 0
org/apache/commons/jelly/util/NestedRuntimeException.java | 0 | 4 | 0
org/apache/commons/jelly/util/SafeContentHandler.java | 0 | 1 | 0
org/apache/commons/jelly/util/SafeContentHandler.java | 0 | 49 | 0
org/apache/commons/jelly/util/TagUtils.java | 0 | 1 | 0
org/apache/commons/jelly/util/TagUtils.java | 0 | 22 | 0
org/apache/commons/jelly/util/package.html | 0 | 1 | 0
org/apache/commons/jelly/xpath/XPathComparator.java | 0 | 1 | 0
org/apache/commons/jelly/xpath/XPathComparator.java | 0 | 17 | 3
org/apache/commons/jelly/xpath/XPathSource.java | 0 | 1 | 0
org/apache/commons/jelly/xpath/XPathSource.java | 0 | 3 | 0
org/apache/commons/jelly/xpath/XPathTagSupport.java | 0 | 1 | 0
org/apache/commons/jelly/xpath/XPathTagSupport.java | 0 | 6 | 0
org/apache/commons/jelly/xpath/package.html | 0 | 1 | 0

#### org/apache/commons/jelly/CompilableTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/DynaBeanTagSupport.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/DynaBeanTagSupport.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 37
| Missing a Javadoc comment. | 40
| Expected @param tag for 'context'. | 45
| Expected @throws tag for 'JellyTagException'. | 45
| First sentence should end with a period. | 50
| Expected @param tag for 'name'. | 52
| Expected @param tag for 'value'. | 52
| Expected @throws tag for 'JellyTagException'. | 52
| Javadoc has empty description section. | 56
| Expected @param tag for 'name'. | 60
| Expected @throws tag for 'JellyTagException'. | 60
| Javadoc has empty description section. | 68
| First sentence should end with a period. | 76
| Expected @param tag for 'dynaBean'. | 80
| First sentence should end with a period. | 84
| Expected @throws tag for 'JellyTagException'. | 87

#### org/apache/commons/jelly/DynaTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/DynaTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 36
| Redundant 'public' modifier. | 38
| Expected @param tag for 'name'. | 38
| Expected @param tag for 'value'. | 38
| Expected @throws tag for 'JellyTagException'. | 38
| Javadoc has empty description section. | 40
| Redundant 'public' modifier. | 46
| Expected @param tag for 'name'. | 46
| Expected @throws tag for 'JellyTagException'. | 46

#### org/apache/commons/jelly/DynaTagSupport.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/DynaTagSupport.java

Error | Line
--- | ---
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\DynaTag.java, starting from line 1 | 1

#### org/apache/commons/jelly/DynaTagSupport.java

Error | Line
--- | ---
| Javadoc has empty description section. | 30
| Expected @param tag for 'name'. | 34
| Expected @throws tag for 'JellyTagException'. | 34

#### org/apache/commons/jelly/Jelly.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/Jelly.java

Error | Line
--- | ---
| First sentence should end with a period. | 53
| Field 'context' is used in only one method. | 54
| First sentence should end with a period. | 56
| First sentence should end with a period. | 59
| First sentence should end with a period. | 62
| Field 'loadedProperties' is used in only one method. | 63
| First sentence should end with a period. | 65
| First sentence should end with a period. | 70
| Missing a Javadoc comment. | 75
| First sentence should end with a period. | 78
| Uncommented main method found. | 81
| Expected @param tag for 'args'. | 81
| Expected @throws tag for 'Exception'. | 81
| Line is longer than 100 characters. | 85
| '}' should be on the same line. | 93
| Missing a Javadoc comment. | 106
| Missing a Javadoc comment. | 110
| Missing a Javadoc comment. | 114
| ',' is not followed by whitespace. | 118
| '(' is followed by whitespace. | 120
| '=' is not preceded with whitespace. | 120
| '=' is not followed by whitespace. | 120
| ')' is preceded with whitespace. | 120
| 'catch' is not followed by whitespace. | 124
| 'catch' is not followed by whitespace. | 126
| Must have at least one statement. | 126
| '{' is not followed by whitespace. | 126
| '}' is not preceded with whitespace. | 126
| First sentence should end with a period. | 133
| Expected an @return tag. | 136
| Expected @throws tag for 'JellyException'. | 136
| '!' is followed by whitespace. | 137
| if child at indentation level 15 not at correct indentation, 16 | 156
| method call child at indentation level 15 not at correct indentation, 16 | 156
| ',' is not followed by whitespace. | 159
| ',' is not followed by whitespace. | 161
| First sentence should end with a period. | 171
| Expected @param tag for 'script'. | 174
| Expected @throws tag for 'MalformedURLException'. | 174
| Missing a Javadoc comment. | 178
| First sentence should end with a period. | 182
| Expected @param tag for 'url'. | 185
| First sentence should end with a period. | 189
| Expected an @return tag. | 192
| Expected @throws tag for 'MalformedURLException'. | 192
| First sentence should end with a period. | 199
| Expected @param tag for 'rootContext'. | 202
| First sentence should end with a period. | 206
| Expected an @return tag. | 209
| Expected @throws tag for 'MalformedURLException'. | 209
| Javadoc has empty description section. | 244
| Expected @param tag for 'name'. | 247
| Expected @throws tag for 'MalformedURLException'. | 247
| '{' should be on the previous line. | 251
| First sentence should end with a period. | 262
| '}' should be on the same line. | 281
| Line is longer than 100 characters. | 283
| '(' is followed by whitespace. | 283
| ')' is preceded with whitespace. | 283
| First sentence should end with a period. | 288
| Expected @param tag for 'f'. | 292
| '(' is followed by whitespace. | 300
| ')' is preceded with whitespace. | 300
| 'if' construct must use '{}'s. | 306
| First sentence should end with a period. | 312
| Expected @param tag for 'is'. | 315
| Expected @throws tag for 'IOException'. | 315

#### org/apache/commons/jelly/JellyContext.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/JellyContext.java

Error | Line
--- | ---
| Found duplicate of 40 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\impl\DefaultTagLibraryResolver.java, starting from line 117 | 849

#### org/apache/commons/jelly/JellyContext.java

Error | Line
--- | ---
| Unused import - java.util.Collections. | 23
| Unused import - java.util.HashMap. | 24
| Unused import - java.util.WeakHashMap. | 28
| First sentence should end with a period. | 48
| First sentence should end with a period. | 51
| First sentence should end with a period. | 54
| Variable 'classLoader' must be private and have accessor methods. | 63
| Variable 'useContextClassLoader' must be private and have accessor methods. | 69
| First sentence should end with a period. | 71
| First sentence should end with a period. | 74
| First sentence should end with a period. | 77
| First sentence should end with a period. | 80
| First sentence should end with a period. | 83
| First sentence should end with a period. | 92
| First sentence should end with a period. | 95
| First sentence should end with a period. | 103
| '(' is followed by whitespace. | 108
| ')' is preceded with whitespace. | 108
| First sentence should end with a period. | 111
| Line is longer than 100 characters. | 153
| ',' is not followed by whitespace. | 170
| ')' is preceded with whitespace. | 172
| Javadoc has empty description section. | 178
| Javadoc has empty description section. | 185
| Line is longer than 100 characters. | 187
| Expected @param tag for 'name'. | 190
| '(' is followed by whitespace. | 191
| '(' is followed by whitespace. | 191
| ')' is preceded with whitespace. | 191
| ')' is preceded with whitespace. | 191
| Expected @param tag for 'name'. | 205
| 'if' construct must use '{}'s. | 209
| '(' is followed by whitespace. | 211
| ')' is preceded with whitespace. | 211
| '(' is followed by whitespace. | 215
| ')' is preceded with whitespace. | 215
| ')' is preceded with whitespace. | 220
| Javadoc has empty description section. | 226
| Expected @param tag for 'name'. | 227
| 'if' construct must use '{}'s. | 231
| '(' is followed by whitespace. | 233
| ')' is preceded with whitespace. | 233
| '(' is followed by whitespace. | 236
| ')' is preceded with whitespace. | 236
| '(' is followed by whitespace. | 241
| ')' is preceded with whitespace. | 241
| First sentence should end with a period. | 248
| '}' should be on the same line. | 256
| Javadoc has empty description section. | 263
| '(' is followed by whitespace. | 271
| ')' is preceded with whitespace. | 271
| First sentence should end with a period. | 279
| Expected @param tag for 'name'. | 280
| Expected @param tag for 'value'. | 280
| '(' is followed by whitespace. | 281
| ')' is preceded with whitespace. | 281
| '(' is followed by whitespace. | 282
| ')' is preceded with whitespace. | 282
| '}' should be on the same line. | 287
| First sentence should end with a period. | 293
| '(' is followed by whitespace. | 302
| ')' is preceded with whitespace. | 302
| First sentence should end with a period. | 307
| Expected @param tag for 'name'. | 308
| '(' is followed by whitespace. | 321
| ')' is preceded with whitespace. | 321
| Javadoc has empty description section. | 326
| Javadoc has empty description section. | 334
| First sentence should end with a period. | 341
| Expected @param tag for 'variables'. | 344
| Expected an @return tag. | 360
| Expected @param tag for 'newVariables'. | 360
| Expected an @return tag. | 375
| First sentence should end with a period. | 386
| Expected @param tag for 'namespaceURI'. | 396
| Expected @param tag for 'taglib'. | 396
| '(' is followed by whitespace. | 403
| ')' is preceded with whitespace. | 403
| Expected @param tag for 'namespaceURI'. | 412
| Expected @param tag for 'className'. | 413
| '(' is followed by whitespace. | 421
| ')' is preceded with whitespace. | 421
| Missing a Javadoc comment. | 425
| '(' is followed by whitespace. | 426
| ')' is preceded with whitespace. | 426
| '}' should be on the same line. | 429
| '(' is followed by whitespace. | 430
| ')' is preceded with whitespace. | 430
| '}' should be on the same line. | 432
| Javadoc has empty description section. | 438
| Cyclomatic Complexity is 12 (max allowed is 10). | 441
| Expected @param tag for 'namespaceURI'. | 441
| '(' is followed by whitespace. | 448
| ')' is preceded with whitespace. | 448
| '(' is followed by whitespace. | 449
| ')' is preceded with whitespace. | 449
| '(' is followed by whitespace. | 452
| ')' is preceded with whitespace. | 452
| '}' should be on the same line. | 454
| '(' is followed by whitespace. | 455
| ')' is preceded with whitespace. | 455
| '}' should be on the same line. | 460
| '(' is followed by whitespace. | 464
| ')' is preceded with whitespace. | 464
| '}' should be on the same line. | 470
| '}' should be on the same line. | 478
| Expected an @return tag. | 494
| Expected @param tag for 'uri'. | 494
| Expected @throws tag for 'JellyException'. | 494
| Expected an @return tag. | 517
| Expected @param tag for 'url'. | 517
| Expected @throws tag for 'JellyException'. | 517
| Expected an @return tag. | 537
| Expected @param tag for 'source'. | 537
| Expected @throws tag for 'JellyException'. | 537
| Javadoc has empty description section. | 553
| Expected an @return tag. | 566
| Expected @param tag for 'file'. | 575
| Expected @param tag for 'output'. | 575
| Expected @throws tag for 'JellyException'. | 575
| Expected @param tag for 'url'. | 589
| Expected @param tag for 'output'. | 589
| Expected @throws tag for 'JellyException'. | 589
| Expected @param tag for 'source'. | 599
| Expected @param tag for 'output'. | 599
| Expected @throws tag for 'JellyException'. | 599
| Expected @param tag for 'uri'. | 610
| Expected @param tag for 'output'. | 610
| Expected @throws tag for 'JellyException'. | 610
| Expected @param tag for 'uri'. | 631
| Expected @param tag for 'output'. | 631
| Expected @param tag for 'export'. | 632
| Expected @param tag for 'inherit'. | 632
| Expected @throws tag for 'JellyException'. | 632
| Expected @param tag for 'file'. | 652
| Expected @param tag for 'output'. | 652
| Expected @param tag for 'export'. | 653
| Expected @param tag for 'inherit'. | 653
| Expected @throws tag for 'JellyException'. | 653
| Expected @param tag for 'url'. | 666
| Expected @param tag for 'output'. | 666
| Expected @param tag for 'export'. | 667
| Expected @param tag for 'inherit'. | 667
| Expected @throws tag for 'JellyException'. | 667
| Expected @param tag for 'source'. | 676
| Expected @param tag for 'output'. | 676
| Expected @param tag for 'export'. | 677
| Expected @param tag for 'inherit'. | 677
| Expected @throws tag for 'JellyException'. | 677
| '(' is followed by whitespace. | 688
| ')' is preceded with whitespace. | 688
| '(' is followed by whitespace. | 689
| ')' is preceded with whitespace. | 689
| '(' is followed by whitespace. | 690
| ')' is preceded with whitespace. | 690
| '(' is followed by whitespace. | 691
| ')' is preceded with whitespace. | 691
| '(' is followed by whitespace. | 693
| ')' is preceded with whitespace. | 693
| ')' is preceded with whitespace. | 698
| '(' is followed by whitespace. | 699
| ')' is preceded with whitespace. | 699
| '(' is followed by whitespace. | 700
| ')' is preceded with whitespace. | 700
| '(' is followed by whitespace. | 701
| ')' is preceded with whitespace. | 701
| Expected an @return tag. | 718
| Expected @param tag for 'uri'. | 718
| Expected @throws tag for 'MalformedURLException'. | 718
| '}' should be on the same line. | 722
| '}' should be on the same line. | 726
| Expected @param tag for 'uri'. | 748
| '}' should be on the same line. | 752
| Javadoc has empty description section. | 767
| Expected @param tag for 'rootURL'. | 781
| Javadoc has empty description section. | 786
| Expected @param tag for 'currentURL'. | 800
| First sentence should end with a period. | 804
| First sentence should end with a period. | 812
| First sentence should end with a period. | 821
| Expected @param tag for 'export'. | 824
| Javadoc has empty description section. | 828
| First sentence should end with a period. | 835
| Expected @param tag for 'inherit'. | 838
| Javadoc has empty description section. | 842
| Expected an @return tag. | 860
| Expected an @return tag. | 878
| Javadoc has empty description section. | 898
| '(' is followed by whitespace. | 914
| ')' is preceded with whitespace. | 914
| First sentence should end with a period. | 920
| Expected an @return tag. | 923
| Expected @param tag for 'url'. | 923
| Expected @throws tag for 'MalformedURLException'. | 923
| First sentence should end with a period. | 930
| Expected an @return tag. | 933
| Expected @param tag for 'source'. | 933
| Expected @throws tag for 'MalformedURLException'. | 933
| First sentence should end with a period. | 945
| Expected an @return tag. | 948
| First sentence should end with a period. | 952
| '{' should be on the previous line. | 957
| '{' should be on the previous line. | 963
| '{' should be on the previous line. | 967
| '(' is followed by whitespace. | 968
| ')' is preceded with whitespace. | 968
| '}' should be on the same line. | 969
| '{' should be on the previous line. | 971
| '(' is followed by whitespace. | 972
| ')' is preceded with whitespace. | 972

#### org/apache/commons/jelly/JellyException.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/JellyException.java

Error | Line
--- | ---
| Found duplicate of 29 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\impl\TagScript.java, starting from line 389 | 89

#### org/apache/commons/jelly/JellyException.java

Error | Line
--- | ---
| First sentence should end with a period. | 31
| First sentence should end with a period. | 34
| First sentence should end with a period. | 37
| First sentence should end with a period. | 40
| First sentence should end with a period. | 43
| Missing a Javadoc comment. | 46
| Missing a Javadoc comment. | 49
| Missing a Javadoc comment. | 53
| Missing a Javadoc comment. | 58
| Line is longer than 100 characters. | 63
| Missing a Javadoc comment. | 63
| Line is longer than 100 characters. | 67
| Missing a Javadoc comment. | 67
| '(' is followed by whitespace. | 68
| '==' is not preceded with whitespace. | 68
| '==' is not followed by whitespace. | 68
| '?' is not preceded with whitespace. | 68
| Avoid inline conditionals. | 68
| '?' is not followed by whitespace. | 68
| ':' is not preceded with whitespace. | 68
| ':' is not followed by whitespace. | 68
| ')' is preceded with whitespace. | 68
| Line is longer than 100 characters. | 76
| Missing a Javadoc comment. | 76
| Missing a Javadoc comment. | 84
| Javadoc has empty description section. | 89
| First sentence should end with a period. | 96
| Expected @param tag for 'lineNumber'. | 99
| Javadoc has empty description section. | 103
| First sentence should end with a period. | 110
| Expected @param tag for 'columnNumber'. | 113
| Javadoc has empty description section. | 117
| First sentence should end with a period. | 124
| Expected @param tag for 'fileName'. | 127
| Javadoc has empty description section. | 132
| First sentence should end with a period. | 139
| Expected @param tag for 'elementName'. | 142
| Missing a Javadoc comment. | 147
| Line is longer than 100 characters. | 148
| Missing a Javadoc comment. | 151
| Missing a Javadoc comment. | 156
| Missing a Javadoc comment. | 166
| Missing a Javadoc comment. | 176

#### org/apache/commons/jelly/JellyTagException.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/JellyTagException.java

Error | Line
--- | ---
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\DynaTag.java, starting from line 1 | 1
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\DynaTagSupport.java, starting from line 1 | 1

#### org/apache/commons/jelly/JellyTagException.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 29
| Missing a Javadoc comment. | 32
| Missing a Javadoc comment. | 36
| ',' is not followed by whitespace. | 37
| Missing a Javadoc comment. | 40
| Line is longer than 100 characters. | 44
| Missing a Javadoc comment. | 44
| Line is longer than 100 characters. | 48
| Missing a Javadoc comment. | 48
| ',' is not followed by whitespace. | 49
| ',' is not followed by whitespace. | 49
| ',' is not followed by whitespace. | 49
| ',' is not followed by whitespace. | 49
| ',' is not followed by whitespace. | 49
| Line is longer than 100 characters. | 52
| Missing a Javadoc comment. | 52
| ',' is not followed by whitespace. | 53
| ',' is not followed by whitespace. | 53
| ',' is not followed by whitespace. | 53
| ',' is not followed by whitespace. | 53

#### org/apache/commons/jelly/LocationAware.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/LocationAware.java

Error | Line
--- | ---
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\DynaTag.java, starting from line 1 | 1
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\DynaTagSupport.java, starting from line 1 | 1
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\JellyTagException.java, starting from line 1 | 1

#### org/apache/commons/jelly/LocationAware.java

Error | Line
--- | ---
| Javadoc has empty description section. | 30
| First sentence should end with a period. | 35
| Expected @param tag for 'lineNumber'. | 38
| Javadoc has empty description section. | 40
| First sentence should end with a period. | 45
| Expected @param tag for 'columnNumber'. | 48
| Javadoc has empty description section. | 50
| First sentence should end with a period. | 55
| Expected @param tag for 'fileName'. | 58
| Javadoc has empty description section. | 60
| First sentence should end with a period. | 65
| Expected @param tag for 'elementName'. | 68

#### org/apache/commons/jelly/MapTagSupport.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/MapTagSupport.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 36
| Field 'map' is used in only one method. | 36
| First sentence should end with a period. | 38
| Expected @param tag for 'name'. | 40
| Expected @param tag for 'value'. | 40
| First sentence should end with a period. | 44
| Expected an @return tag. | 48
| First sentence should end with a period. | 54
| Expected an @return tag. | 59

#### org/apache/commons/jelly/MissingAttributeException.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/MissingAttributeException.java

Error | Line
--- | ---
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\DynaTag.java, starting from line 1 | 1
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\DynaTagSupport.java, starting from line 1 | 1
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\JellyTagException.java, starting from line 1 | 1
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\LocationAware.java, starting from line 1 | 1

#### org/apache/commons/jelly/MissingAttributeException.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 27
| Missing a Javadoc comment. | 31
| '(' is followed by whitespace. | 32
| ')' is preceded with whitespace. | 32
| Missing a Javadoc comment. | 36

#### org/apache/commons/jelly/NamespaceAwareTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/NamespaceAwareTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 35
| Redundant 'public' modifier. | 41

#### org/apache/commons/jelly/Script.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/Script.java

Error | Line
--- | ---
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\DynaTag.java, starting from line 1 | 1
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\DynaTagSupport.java, starting from line 1 | 1
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\JellyTagException.java, starting from line 1 | 1
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\LocationAware.java, starting from line 1 | 1
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\MissingAttributeException.java, starting from line 1 | 1

#### org/apache/commons/jelly/Script.java

Error | Line
--- | ---
| Expected an @return tag. | 34
| Redundant 'public' modifier. | 34
| Expected @throws tag for 'JellyException'. | 34
| First sentence should end with a period. | 36
| Redundant 'public' modifier. | 37
| Expected @param tag for 'context'. | 37
| Expected @param tag for 'output'. | 37
| Expected @throws tag for 'JellyTagException'. | 37

#### org/apache/commons/jelly/Tag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/Tag.java

Error | Line
--- | ---
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\DynaTag.java, starting from line 1 | 1
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\DynaTagSupport.java, starting from line 1 | 1
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\JellyTagException.java, starting from line 1 | 1
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\LocationAware.java, starting from line 1 | 1
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\MissingAttributeException.java, starting from line 1 | 1
| Found duplicate of 19 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\Script.java, starting from line 1 | 1

#### org/apache/commons/jelly/Tag.java

Error | Line
--- | ---
| Javadoc has empty description section. | 32
| Redundant 'public' modifier. | 35
| First sentence should end with a period. | 37
| Redundant 'public' modifier. | 40
| Expected @param tag for 'parent'. | 40
| Javadoc has empty description section. | 42
| Redundant 'public' modifier. | 45
| First sentence should end with a period. | 47
| Redundant 'public' modifier. | 50
| Expected @param tag for 'body'. | 50
| First sentence should end with a period. | 52
| Expected an @return tag. | 55
| Redundant 'public' modifier. | 55
| First sentence should end with a period. | 57
| Redundant 'public' modifier. | 60
| Expected @param tag for 'context'. | 60
| Expected @throws tag for 'JellyTagException'. | 60
| Redundant 'public' modifier. | 65
| Expected @param tag for 'output'. | 65
| Expected @throws tag for 'MissingAttributeException'. | 65
| Redundant throws: 'MissingAttributeException' is subclass of 'JellyTagException'. | 65
| Expected @throws tag for 'JellyTagException'. | 65
| First sentence should end with a period. | 67
| Redundant 'public' modifier. | 70
| Expected @param tag for 'output'. | 70
| Expected @throws tag for 'JellyTagException'. | 70

#### org/apache/commons/jelly/TagLibrary.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/TagLibrary.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 43
| method def modifier at indentation level 16 not at correct indentation, 12 | 51
| if at indentation level 20 not at correct indentation, 16 | 52
| '(' is followed by whitespace. | 52
| ')' is preceded with whitespace. | 52
| if rcurly at indentation level 20 not at correct indentation, 16 | 54
| '}' should be on the same line. | 54
| else at indentation level 20 not at correct indentation, 16 | 55
| '(' is followed by whitespace. | 55
| ')' is preceded with whitespace. | 55
| if child at indentation level 24 not at correct indentation, 20 | 56
| '(' is followed by whitespace. | 57
| ')' is preceded with whitespace. | 57
| if rcurly at indentation level 20 not at correct indentation, 16 | 58
| method def rcurly at indentation level 16 not at correct indentation, 12 | 60
| object def rcurly at indentation level 12 not at correct indentation, 8 | 61
| Missing a Javadoc comment. | 66
| First sentence should end with a period. | 69
| Expected an @return tag. | 70
| Expected @param tag for 'name'. | 70
| Expected @param tag for 'attributes'. | 70
| Expected @throws tag for 'JellyException'. | 71
| '}' should be on the same line. | 77
| '(' is followed by whitespace. | 79
| ')' is preceded with whitespace. | 79
| First sentence should end with a period. | 85
| Expected an @return tag. | 86
| Expected @param tag for 'name'. | 86
| Expected @param tag for 'attributes'. | 86
| Expected @throws tag for 'JellyException'. | 87
| '}' should be on the same line. | 99
| First sentence should end with a period. | 107
| Expected an @return tag. | 108
| Expected @param tag for 'factory'. | 109
| Expected @param tag for 'tagScript'. | 110
| Expected @param tag for 'attributeName'. | 111
| Expected @param tag for 'attributeValue'. | 112
| Expected @throws tag for 'JellyException'. | 113
| First sentence should end with a period. | 131
| Expected @param tag for 'name'. | 134
| Expected @param tag for 'type'. | 134
| First sentence should end with a period. | 138
| Expected @param tag for 'name'. | 141
| Expected @param tag for 'tagFactory'. | 141
| First sentence should end with a period. | 145
| Expected an @return tag. | 146
| Missing a Javadoc comment. | 150

#### org/apache/commons/jelly/TagSupport.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/TagSupport.java

Error | Line
--- | ---
| First sentence should end with a period. | 34
| Variable 'parent' must be private and have accessor methods. | 35
| First sentence should end with a period. | 37
| Variable 'body' must be private and have accessor methods. | 38
| First sentence should end with a period. | 39
| Variable 'shouldTrim' must be private and have accessor methods. | 41
| Missing a Javadoc comment. | 42
| Variable 'hasTrimmed' must be private and have accessor methods. | 42
| Missing a Javadoc comment. | 44
| Variable 'context' must be private and have accessor methods. | 44
| First sentence should end with a period. | 46
| First sentence should end with a period. | 49
| Assignment of parameter 'from' is not allowed. | 65
| 'for' is not followed by whitespace. | 80
| ';' is not followed by whitespace. | 80
| 'cast' is not followed by whitespace. | 81
| Assignment of parameter 'from' is not allowed. | 86
| ',' is not followed by whitespace. | 101
| Constructor definition in wrong order. | 104
| Missing a Javadoc comment. | 104
| Constructor definition in wrong order. | 107
| Missing a Javadoc comment. | 107
| '(' is followed by whitespace. | 108
| ')' is preceded with whitespace. | 108
| Expected @param tag for 'shouldTrim'. | 115
| '(' is followed by whitespace. | 116
| ')' is preceded with whitespace. | 116
| '}' should be on the same line. | 118
| Missing a Javadoc comment. | 124
| '(' is followed by whitespace. | 125
| ')' is preceded with whitespace. | 125
| 'parent' hides a field. | 126
| '(' is followed by whitespace. | 127
| ')' is preceded with whitespace. | 127
| '}' should be on the same line. | 129
| '(' is followed by whitespace. | 131
| ')' is preceded with whitespace. | 131
| '(' is followed by whitespace. | 134
| Avoid inline conditionals. | 134
| ')' is preceded with whitespace. | 134
| '}' should be on the same line. | 135
| Javadoc has empty description section. | 145
| First sentence should end with a period. | 150
| Expected @param tag for 'parent'. | 151
| Javadoc has empty description section. | 155
| '!' is followed by whitespace. | 157
| First sentence should end with a period. | 166
| Expected @param tag for 'body'. | 167
| Javadoc has empty description section. | 172
| First sentence should end with a period. | 177
| Expected @param tag for 'context'. | 178
| Expected @throws tag for 'JellyTagException'. | 178
| First sentence should end with a period. | 182
| Expected @param tag for 'output'. | 185
| Expected @throws tag for 'JellyTagException'. | 185
| Expected @param tag for 'parentClass'. | 195
| Expected @param tag for 'parentClasses'. | 204
| ',' is not followed by whitespace. | 205
| Expected @param tag for 'parentClasses'. | 212
| ',' is not followed by whitespace. | 213
| Expected @throws tag for 'JellyTagException'. | 221
| Expected @throws tag for 'JellyTagException'. | 232
| First sentence should end with a period. | 239
| Expected an @return tag. | 250
| Expected @param tag for 'escapeText'. | 258

#### org/apache/commons/jelly/XMLOutput.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/XMLOutput.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 46
| array initialization lcurly at indentation level 8 not at correct indentation, 4 | 47
| array initialization child at indentation level 12 not at correct indentation, 8 | 48
| array initialization child at indentation level 12 not at correct indentation, 8 | 49
| First sentence should end with a period. | 51
| Field 'EMPTY_ATTRIBUTES' is used in only one method. | 52
| Field 'log' is used in only one method. | 55
| First sentence should end with a period. | 57
| First sentence should end with a period. | 60
| First sentence should end with a period. | 63
| Missing a Javadoc comment. | 67
| Missing a Javadoc comment. | 70
| Missing a Javadoc comment. | 78
| Missing a Javadoc comment. | 85
| First sentence should end with a period. | 94
| Expected @throws tag for 'IOException'. | 98
| Missing a Javadoc comment. | 101
| 'if' is not followed by whitespace. | 102
| '(' is followed by whitespace. | 102
| ')' is preceded with whitespace. | 102
| '{' should be on the previous line. | 103
| 'cast' is not followed by whitespace. | 104
| First sentence should end with a period. | 111
| Expected an @return tag. | 114
| Expected @param tag for 'xmlReader'. | 114
| '}' should be on the same line. | 125
| 'if' construct must use '{}'s. | 128
| Expected an @return tag. | 138
| Expected @param tag for 'writer'. | 138
| Expected an @return tag. | 150
| '{' should be on the previous line. | 151
| Expected an @return tag. | 161
| Expected @param tag for 'out'. | 161
| Expected @throws tag for 'UnsupportedEncodingException'. | 161
| Expected an @return tag. | 173
| Line is longer than 100 characters. | 173
| Expected @throws tag for 'UnsupportedEncodingException'. | 173
| Expected @param tag for 'text'. | 198
| Expected @throws tag for 'SAXException'. | 198
| Expected @param tag for 'text'. | 207
| Expected @throws tag for 'SAXException'. | 207
| First sentence should end with a period. | 214
| Expected @param tag for 'text'. | 217
| Expected @throws tag for 'SAXException'. | 217
| First sentence should end with a period. | 222
| Expected @param tag for 'localName'. | 225
| Expected @throws tag for 'SAXException'. | 225
| First sentence should end with a period. | 229
| Expected @param tag for 'localName'. | 232
| Expected @param tag for 'attributes'. | 232
| Expected @throws tag for 'SAXException'. | 232
| First sentence should end with a period. | 236
| Expected @param tag for 'localName'. | 239
| Expected @throws tag for 'SAXException'. | 239
| Array brackets at illegal position. | 510
| Array brackets at illegal position. | 538
| Array brackets at illegal position. | 775
| 'if' construct must use '{}'s. | 790
| 'if' is not followed by whitespace. | 790
| 'if' is not followed by whitespace. | 793
| '!=' is not preceded with whitespace. | 793
| '!=' is not followed by whitespace. | 793
| '=' is not preceded with whitespace. | 794
| '=' is not followed by whitespace. | 794
| Javadoc has empty description section. | 805
| First sentence should end with a period. | 812
| Javadoc has empty description section. | 825
| First sentence should end with a period. | 832
| First sentence should end with a period. | 844
| Expected an @return tag. | 847
| Expected @param tag for 'xmlWriter'. | 847

#### org/apache/commons/jelly/expression/CompositeExpression.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/expression/CompositeExpression.java

Error | Line
--- | ---
| First sentence should end with a period. | 37
| Missing a Javadoc comment. | 40
| Missing a Javadoc comment. | 44
| Missing a Javadoc comment. | 48
| '+' is not followed by whitespace. | 49
| Line is longer than 100 characters. | 58
| Cyclomatic Complexity is 29 (max allowed is 10). | 66
| NPath Complexity is 448 (max allowed is 200). | 66
| '(' is followed by whitespace. | 70
| ')' is preceded with whitespace. | 70
| '(' is followed by whitespace. | 72
| '(' is followed by whitespace. | 76
| '+' is not preceded with whitespace. | 76
| '+' is not followed by whitespace. | 76
| ')' is preceded with whitespace. | 76
| '(' is followed by whitespace. | 78
| ')' is preceded with whitespace. | 78
| '(' is followed by whitespace. | 79
| ')' is preceded with whitespace. | 79
| '(' is followed by whitespace. | 81
| ')' is preceded with whitespace. | 81
| label child at indentation level 6 not at correct indentation, 4 | 93
| '(' is followed by whitespace. | 94
| ')' is preceded with whitespace. | 94
| '(' is followed by whitespace. | 95
| ')' is preceded with whitespace. | 95
| '(' is followed by whitespace. | 97
| ')' is preceded with whitespace. | 97
| '(' is followed by whitespace. | 99
| '+' is not preceded with whitespace. | 99
| '+' is not followed by whitespace. | 99
| '&lt;' is not preceded with whitespace. | 99
| '&lt;' is not followed by whitespace. | 99
| ')' is preceded with whitespace. | 99
| '(' is followed by whitespace. | 101
| ')' is preceded with whitespace. | 101
| '(' is followed by whitespace. | 103
| ')' is preceded with whitespace. | 103
| '(' is followed by whitespace. | 105
| ')' is preceded with whitespace. | 105
| '(' is followed by whitespace. | 108
| ')' is preceded with whitespace. | 108
| '(' is followed by whitespace. | 109
| ')' is preceded with whitespace. | 109
| ')' is preceded with whitespace. | 110
| '+' is not preceded with whitespace. | 113
| '+' is not followed by whitespace. | 113
| '&lt;' is not preceded with whitespace. | 113
| '&lt;' is not followed by whitespace. | 113
| '&lt;' is not preceded with whitespace. | 116
| '&lt;' is not followed by whitespace. | 116
| '(' is followed by whitespace. | 118
| ')' is preceded with whitespace. | 118
| block child at indentation level 46 not at correct indentation, 48 | 120
| method call child at indentation level 46 not at correct indentation, 48 | 120
| '(' is followed by whitespace. | 120
| ')' is preceded with whitespace. | 120
| block child at indentation level 46 not at correct indentation, 48 | 121
| label child at indentation level 46 not at correct indentation, 44 | 123
| 'while' is not followed by whitespace. | 124
| '&lt;' is not preceded with whitespace. | 124
| '&lt;' is not followed by whitespace. | 124
| '(' is followed by whitespace. | 127
| ')' is preceded with whitespace. | 127
| '(' is followed by whitespace. | 143
| ')' is preceded with whitespace. | 143
| label child at indentation level 46 not at correct indentation, 44 | 146
| 'while' is not followed by whitespace. | 147
| '&lt;' is not preceded with whitespace. | 147
| '&lt;' is not followed by whitespace. | 147
| '(' is followed by whitespace. | 150
| ')' is preceded with whitespace. | 150
| Line is longer than 100 characters. | 166
| '(' is followed by whitespace. | 171
| ')' is preceded with whitespace. | 171
| '}' should be on the same line. | 180
| '{' should be on the previous line. | 182
| '(' is followed by whitespace. | 187
| ')' is preceded with whitespace. | 187
| '(' is followed by whitespace. | 192
| ')' is preceded with whitespace. | 192
| '{' should be on the previous line. | 193
| '(' is followed by whitespace. | 194
| ')' is preceded with whitespace. | 194
| Javadoc has empty description section. | 203
| First sentence should end with a period. | 211
| Expected @param tag for 'expressions'. | 215
| First sentence should end with a period. | 219
| Expected @param tag for 'expression'. | 222
| First sentence should end with a period. | 226
| Expected @param tag for 'text'. | 229
| Missing a Javadoc comment. | 236
| ';' is followed by whitespace. | 238
| '(' is followed by whitespace. | 240
| ')' is preceded with whitespace. | 240
| Missing a Javadoc comment. | 247
| Missing a Javadoc comment. | 252
| ';' is followed by whitespace. | 254
| '(' is followed by whitespace. | 257
| ')' is preceded with whitespace. | 257
| '(' is followed by whitespace. | 258
| ')' is preceded with whitespace. | 258
| Missing a Javadoc comment. | 266
| '(' is followed by whitespace. | 268
| ')' is preceded with whitespace. | 268
| '}' should be on the same line. | 270
| '(' is followed by whitespace. | 272
| ')' is preceded with whitespace. | 272

#### org/apache/commons/jelly/expression/ConstantExpression.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/expression/ConstantExpression.java

Error | Line
--- | ---
| First sentence should end with a period. | 29
| First sentence should end with a period. | 32
| Expected @param tag for 'value'. | 39
| Missing a Javadoc comment. | 43
| '+' is not followed by whitespace. | 44
| Missing a Javadoc comment. | 47
| Avoid inline conditionals. | 48
| First sentence should end with a period. | 61
| Expected an @return tag. | 62
| First sentence should end with a period. | 66
| Expected @param tag for 'value'. | 67

#### org/apache/commons/jelly/expression/Expression.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/expression/Expression.java

Error | Line
--- | ---
| Javadoc has empty description section. | 30
| Redundant 'public' modifier. | 33
| First sentence should end with a period. | 35
| Expected an @return tag. | 39
| Redundant 'public' modifier. | 39
| Expected @param tag for 'context'. | 39
| Expected an @return tag. | 45
| Redundant 'public' modifier. | 45
| Expected @param tag for 'context'. | 45
| Expected an @return tag. | 51
| Redundant 'public' modifier. | 51
| Expected @param tag for 'context'. | 51
| Expected an @return tag. | 57
| Redundant 'public' modifier. | 57
| Expected @param tag for 'context'. | 57
| Expected an @return tag. | 75
| Redundant 'public' modifier. | 75
| Expected @param tag for 'context'. | 75

#### org/apache/commons/jelly/expression/ExpressionFactory.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/expression/ExpressionFactory.java

Error | Line
--- | ---
| First sentence should end with a period. | 28
| Expected an @return tag. | 32
| Redundant 'public' modifier. | 32
| Expected @param tag for 'text'. | 32
| Expected @throws tag for 'JellyException'. | 32

#### org/apache/commons/jelly/expression/ExpressionSupport.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/expression/ExpressionSupport.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 42
| Missing a Javadoc comment. | 45
| '(' is followed by whitespace. | 52
| ')' is preceded with whitespace. | 52
| Missing a Javadoc comment. | 60
| Missing a Javadoc comment. | 70
| '(' is followed by whitespace. | 72
| ')' is preceded with whitespace. | 72
| '}' should be on the same line. | 75
| '(' is followed by whitespace. | 76
| ')' is preceded with whitespace. | 76
| '(' is followed by whitespace. | 80
| '(' is followed by whitespace. | 80
| ')' is preceded with whitespace. | 80
| '(' is followed by whitespace. | 82
| ')' is preceded with whitespace. | 82
| '(' is followed by whitespace. | 84
| ')' is preceded with whitespace. | 84
| '(' is followed by whitespace. | 86
| ')' is preceded with whitespace. | 86
| ')' is preceded with whitespace. | 86
| Missing a Javadoc comment. | 93
| '(' is followed by whitespace. | 95
| ')' is preceded with whitespace. | 95
| '(' is followed by whitespace. | 97
| ')' is preceded with whitespace. | 97
| '(' is followed by whitespace. | 99
| ')' is preceded with whitespace. | 99
| '(' is followed by whitespace. | 102
| ')' is preceded with whitespace. | 102
| '(' is followed by whitespace. | 105
| ')' is preceded with whitespace. | 105
| '(' is followed by whitespace. | 106
| ')' is preceded with whitespace. | 106
| '(' is followed by whitespace. | 107
| ')' is preceded with whitespace. | 107
| ')' is preceded with whitespace. | 108
| '(' is followed by whitespace. | 109
| ')' is preceded with whitespace. | 109
| if child at indentation level 10 not at correct indentation, 12 | 110
| '(' is followed by whitespace. | 112
| ')' is preceded with whitespace. | 112
| if child at indentation level 11 not at correct indentation, 12 | 113
| ')' is preceded with whitespace. | 113
| if child at indentation level 11 not at correct indentation, 12 | 114
| '(' is followed by whitespace. | 114
| ')' is preceded with whitespace. | 114
| '(' is followed by whitespace. | 115
| ')' is preceded with whitespace. | 115
| '(' is followed by whitespace. | 118
| ')' is preceded with whitespace. | 118

#### org/apache/commons/jelly/expression/jexl/JexlExpression.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/expression/jexl/JexlExpression.java

Error | Line
--- | ---
| Field 'log' is used in only one method. | 44
| First sentence should end with a period. | 46
| Missing a Javadoc comment. | 49
| Missing a Javadoc comment. | 53
| Missing a Javadoc comment. | 59
| Missing a Javadoc comment. | 63
| '(' is followed by whitespace. | 65
| ')' is preceded with whitespace. | 65
| '}' should be on the same line. | 76
| Missing a Javadoc comment. | 84
| Missing a Javadoc comment. | 86
| Missing a Javadoc comment. | 88
| '(' is followed by whitespace. | 89
| ')' is preceded with whitespace. | 89
| Missing a Javadoc comment. | 92
| '(' is followed by whitespace. | 94
| ')' is preceded with whitespace. | 94
| Missing a Javadoc comment. | 97
| Missing a Javadoc comment. | 103
| Missing a Javadoc comment. | 105
| Missing a Javadoc comment. | 107
| Missing a Javadoc comment. | 111
| '(' is followed by whitespace. | 112
| ')' is preceded with whitespace. | 112
| Missing a Javadoc comment. | 115
| Missing a Javadoc comment. | 119
| '(' is followed by whitespace. | 120
| '(' is followed by whitespace. | 120
| ')' is preceded with whitespace. | 120
| ')' is preceded with whitespace. | 120
| Missing a Javadoc comment. | 123
| Missing a Javadoc comment. | 127
| Missing a Javadoc comment. | 131
| Missing a Javadoc comment. | 135
| Missing a Javadoc comment. | 139
| Missing a Javadoc comment. | 143
| Missing a Javadoc comment. | 147
| Missing a Javadoc comment. | 151
| Missing a Javadoc comment. | 155

#### org/apache/commons/jelly/expression/jexl/JexlExpressionFactory.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/expression/jexl/JexlExpressionFactory.java

Error | Line
--- | ---
| First sentence should end with a period. | 39
| Missing a Javadoc comment. | 44
| method call child at indentation level 12 not at correct indentation, 16 | 61
| assign child at indentation level 12 not at correct indentation, 16 | 62
| '(' is followed by whitespace. | 67
| ')' is preceded with whitespace. | 67
| ',' is not followed by whitespace. | 68
| Javadoc has empty description section. | 76
| First sentence should end with a period. | 84
| Expected @param tag for 'supportAntVariables'. | 88
| Javadoc has empty description section. | 95
| Expected @param tag for 'text'. | 99
| Each variable declaration must be in its own statement. | 101
| ')' is preceded with whitespace. | 101
| Boolean expression complexity is 4 (max allowed is 3). | 104
| '(' is followed by whitespace. | 104
| Missing a Javadoc comment. | 111
| Missing a Javadoc comment. | 113
| Variable 'jexlExpression' must be private and have accessor methods. | 113
| Missing a Javadoc comment. | 114
| Variable 'text' must be private and have accessor methods. | 114
| Missing a Javadoc comment. | 116
| Missing a Javadoc comment. | 121
| '(' is followed by whitespace. | 124
| ')' is preceded with whitespace. | 124
| Missing a Javadoc comment. | 131
| Missing a Javadoc comment. | 135

#### org/apache/commons/jelly/expression/xpath/XPathExpression.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/expression/xpath/XPathExpression.java

Error | Line
--- | ---
| Field 'log' is used in only one method. | 42
| Missing a Javadoc comment. | 44
| Missing a Javadoc comment. | 45
| Missing a Javadoc comment. | 46
| Missing a Javadoc comment. | 47
| Missing a Javadoc comment. | 49
| Missing a Javadoc comment. | 52
| Missing a Javadoc comment. | 63
| Missing a Javadoc comment. | 69
| Missing a Javadoc comment. | 73
| '{' should be on the previous line. | 77
| '(' is followed by whitespace. | 78
| '(' is followed by whitespace. | 78
| ')' is preceded with whitespace. | 78
| ')' is preceded with whitespace. | 78
| '(' is followed by whitespace. | 83
| ')' is preceded with whitespace. | 83
| '(' is followed by whitespace. | 86
| '(' is followed by whitespace. | 86
| ')' is preceded with whitespace. | 86
| ')' is preceded with whitespace. | 86
| '}' should be on the same line. | 89
| '{' should be on the previous line. | 91
| '(' is followed by whitespace. | 92
| ')' is preceded with whitespace. | 93
| Missing a Javadoc comment. | 101
| First sentence should end with a period. | 116
| Expected an @return tag. | 120
| Expected @param tag for 'namespaceContext'. | 120
| 'uris' hides a field. | 122
| ';' is followed by whitespace. | 123

#### org/apache/commons/jelly/expression/xpath/package.html

Error | Line
--- | ---
| Missing package documentation file. | 0

#### org/apache/commons/jelly/impl/Attribute.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/Attribute.java

Error | Line
--- | ---
| Line is longer than 100 characters. | 21
| First sentence should end with a period. | 29
| First sentence should end with a period. | 32
| First sentence should end with a period. | 35
| Missing a Javadoc comment. | 38

#### org/apache/commons/jelly/impl/BeanSource.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/BeanSource.java

Error | Line
--- | ---
| First sentence should end with a period. | 20
| Javadoc has empty description section. | 28
| Redundant 'public' modifier. | 31
| Expected @throws tag for 'JellyTagException'. | 31

#### org/apache/commons/jelly/impl/BreakException.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/BreakException.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 31

#### org/apache/commons/jelly/impl/CollectionTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/CollectionTag.java

Error | Line
--- | ---
| Javadoc has empty description section. | 29
| Unused Javadoc tag. | 30
| Redundant 'public' modifier. | 32
| Expected @param tag for 'value'. | 32
| Expected @throws tag for 'JellyTagException'. | 32

#### org/apache/commons/jelly/impl/CompositeTextScriptBlock.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/CompositeTextScriptBlock.java

Error | Line
--- | ---
| '(' is followed by whitespace. | 48
| ')' is preceded with whitespace. | 48
| '(' is followed by whitespace. | 50
| ')' is preceded with whitespace. | 50
| '(' is followed by whitespace. | 54
| ')' is preceded with whitespace. | 54
| '(' is followed by whitespace. | 56
| ')' is preceded with whitespace. | 56

#### org/apache/commons/jelly/impl/DefaultTagFactory.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/DefaultTagFactory.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 32
| Missing a Javadoc comment. | 34
| Missing a Javadoc comment. | 37
| Missing a Javadoc comment. | 43

#### org/apache/commons/jelly/impl/DefaultTagLibraryResolver.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/DefaultTagLibraryResolver.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 43
| Missing a Javadoc comment. | 60
| Expected an @return tag. | 72
| Expected @param tag for 'uri'. | 72
| 'discovery' hides a field. | 73
| '(' is followed by whitespace. | 75
| '(' is followed by whitespace. | 75
| ')' is preceded with whitespace. | 75
| ')' is preceded with whitespace. | 75
| '6' is a magic number. | 76
| '(' is followed by whitespace. | 79
| ')' is preceded with whitespace. | 79
| '(' is followed by whitespace. | 103
| ')' is preceded with whitespace. | 103
| '}' should be on the same line. | 106
| '(' is followed by whitespace. | 108
| ')' is preceded with whitespace. | 108
| '(' is followed by whitespace. | 111
| ')' is preceded with whitespace. | 111
| Expected an @return tag. | 128
| Expected an @return tag. | 146
| Unused @param tag for 'boolean'. | 157
| Expected @param tag for 'use'. | 159
| Javadoc has empty description section. | 163
| '(' is followed by whitespace. | 168
| ')' is preceded with whitespace. | 168
| First sentence should end with a period. | 175
| Expected @param tag for 'discovery'. | 179
| Expected an @return tag. | 190
| Expected @param tag for 'uri'. | 190
| Expected @param tag for 'className'. | 190
| '(' is followed by whitespace. | 193
| ')' is preceded with whitespace. | 193
| '}' should be on the same line. | 196
| Line is longer than 100 characters. | 198
| Expected an @return tag. | 208
| Expected @param tag for 'uri'. | 208
| Expected @param tag for 'theClass'. | 208
| '}' should be on the same line. | 213
| '}' should be on the same line. | 221

#### org/apache/commons/jelly/impl/DynamicBeanTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/DynamicBeanTag.java

Error | Line
--- | ---
| Extra HTML tag found: &lt;/p&gt; | 40
| Field 'log' is used in only one method. | 49
| First sentence should end with a period. | 51
| Field 'emptyArgs' is used in only one method. | 52
| Name 'emptyArgs' must match pattern '^(log)|[A-Z][A-Z0-9]*(_[A-Z0-9]+)*$'. | 52
| First sentence should end with a period. | 54
| First sentence should end with a period. | 57
| First sentence should end with a period. | 60
| First sentence should end with a period. | 63
| First sentence should end with a period. | 69
| First sentence should end with a period. | 72
| First sentence should end with a period. | 75
| Javadoc has empty description section. | 78
| Line is longer than 100 characters. | 85
| Expected @param tag for 'attributes'. | 85
| Expected @param tag for 'variableNameAttribute'. | 85
| Missing a Javadoc comment. | 92
| '(' is followed by whitespace. | 96
| '(' is followed by whitespace. | 96
| ')' is preceded with whitespace. | 96
| ')' is preceded with whitespace. | 96
| ',' is not followed by whitespace. | 98
| ',' is not followed by whitespace. | 100
| Missing a Javadoc comment. | 106
| ')' is preceded with whitespace. | 108
| '(' is followed by whitespace. | 109
| '(' is followed by whitespace. | 109
| ')' is preceded with whitespace. | 109
| ')' is preceded with whitespace. | 109
| '}' should be on the same line. | 112
| '!' is followed by whitespace. | 119
| Cyclomatic Complexity is 13 (max allowed is 10). | 134
| Missing a Javadoc comment. | 134
| '(' is followed by whitespace. | 137
| ';' is followed by whitespace. | 137
| '(' is followed by whitespace. | 140
| '!' is followed by whitespace. | 140
| '(' is followed by whitespace. | 140
| ')' is preceded with whitespace. | 140
| ')' is preceded with whitespace. | 140
| '(' is followed by whitespace. | 141
| ')' is preceded with whitespace. | 141
| '(' is followed by whitespace. | 147
| ')' is preceded with whitespace. | 147
| '(' is followed by whitespace. | 152
| ')' is preceded with whitespace. | 152
| '{' should be on the previous line. | 160
| '(' is followed by whitespace. | 173
| ')' is preceded with whitespace. | 173
| '(' is followed by whitespace. | 178
| ')' is preceded with whitespace. | 178
| '(' is followed by whitespace. | 180
| ')' is preceded with whitespace. | 180
| '}' should be on the same line. | 181
| '}' should be on the same line. | 184
| '}' should be on the same line. | 187
| Extra HTML tag found: &lt;/code&gt; was invoked | 206
| Line is longer than 100 characters. | 208
| Expected @throws tag for 'JellyTagException'. | 208
| Javadoc has empty description section. | 225

#### org/apache/commons/jelly/impl/DynamicDynaBeanTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/DynamicDynaBeanTag.java

Error | Line
--- | ---
| Found duplicate of 58 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\impl\DynamicBeanTag.java, starting from line 100 | 71

#### org/apache/commons/jelly/impl/DynamicDynaBeanTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 40
| First sentence should end with a period. | 43
| First sentence should end with a period. | 49
| First sentence should end with a period. | 52
| First sentence should end with a period. | 55
| Missing a Javadoc comment. | 58
| Missing a Javadoc comment. | 64
| '(' is followed by whitespace. | 67
| ')' is preceded with whitespace. | 67
| ',' is not followed by whitespace. | 69
| ',' is not followed by whitespace. | 71
| Missing a Javadoc comment. | 77
| ')' is preceded with whitespace. | 79
| '(' is followed by whitespace. | 80
| '(' is followed by whitespace. | 80
| ')' is preceded with whitespace. | 80
| ')' is preceded with whitespace. | 80
| '}' should be on the same line. | 83
| '!' is followed by whitespace. | 90
| Missing a Javadoc comment. | 105
| '(' is followed by whitespace. | 108
| ';' is followed by whitespace. | 108
| '(' is followed by whitespace. | 111
| '!' is followed by whitespace. | 111
| '(' is followed by whitespace. | 111
| ')' is preceded with whitespace. | 111
| ')' is preceded with whitespace. | 111
| '(' is followed by whitespace. | 112
| ')' is preceded with whitespace. | 112
| '(' is followed by whitespace. | 118
| ')' is preceded with whitespace. | 118
| '(' is followed by whitespace. | 123
| ')' is preceded with whitespace. | 123
| '(' is followed by whitespace. | 132
| ')' is preceded with whitespace. | 132
| Javadoc has empty description section. | 139

#### org/apache/commons/jelly/impl/DynamicTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/DynamicTag.java

Error | Line
--- | ---
| Field 'log' is used in only one method. | 42
| First sentence should end with a period. | 44
| First sentence should end with a period. | 47
| Missing a Javadoc comment. | 50
| Missing a Javadoc comment. | 53
| Missing a Javadoc comment. | 60
| '(' is followed by whitespace. | 61
| ')' is preceded with whitespace. | 61
| '(' is followed by whitespace. | 69
| '(' is followed by whitespace. | 72
| '(' is followed by whitespace. | 72
| ')' is preceded with whitespace. | 72
| ')' is preceded with whitespace. | 72
| '(' is followed by whitespace. | 73
| ')' is preceded with whitespace. | 73
| '(' is followed by whitespace. | 74
| ')' is preceded with whitespace. | 74
| '(' is followed by whitespace. | 75
| '(' is followed by whitespace. | 75
| '-' is not preceded with whitespace. | 75
| '-' is not followed by whitespace. | 75
| '4' is a magic number. | 75
| ')' is preceded with whitespace. | 75
| ')' is preceded with whitespace. | 75
| '(' is followed by whitespace. | 78
| ')' is preceded with whitespace. | 78
| Missing a Javadoc comment. | 84
| First sentence should end with a period. | 91
| Expected an @return tag. | 94
| Missing a Javadoc comment. | 98

#### org/apache/commons/jelly/impl/DynamicTagLibrary.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/DynamicTagLibrary.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 36
| Missing a Javadoc comment. | 37
| Missing a Javadoc comment. | 38
| Missing a Javadoc comment. | 40
| Missing a Javadoc comment. | 43
| First sentence should end with a period. | 47
| Expected an @return tag. | 48
| Expected @param tag for 'name'. | 48
| Expected @param tag for 'attributes'. | 48
| Expected @throws tag for 'JellyException'. | 49
| method def modifier at indentation level 16 not at correct indentation, 12 | 53
| method def rcurly at indentation level 16 not at correct indentation, 12 | 55
| object def rcurly at indentation level 12 not at correct indentation, 8 | 56
| First sentence should end with a period. | 60
| Expected an @return tag. | 61
| Expected @param tag for 'name'. | 61
| Expected @param tag for 'attributes'. | 61
| Expected @throws tag for 'JellyException'. | 62
| '(' is followed by whitespace. | 65
| ')' is preceded with whitespace. | 65
| '}' should be on the same line. | 68
| '(' is followed by whitespace. | 69
| ')' is preceded with whitespace. | 69
| '}' should be on the same line. | 72
| '(' is followed by whitespace. | 73
| ')' is preceded with whitespace. | 73
| First sentence should end with a period. | 81
| Expected @param tag for 'name'. | 84
| Expected @param tag for 'template'. | 84
| First sentence should end with a period. | 88
| Expected @param tag for 'name'. | 91
| Expected @param tag for 'factory'. | 91
| First sentence should end with a period. | 95
| Avoid inline conditionals. | 104
| '}' should be on the same line. | 121
| Missing a Javadoc comment. | 130
| Missing a Javadoc comment. | 134

#### org/apache/commons/jelly/impl/Embedded.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/Embedded.java

Error | Line
--- | ---
| Javadoc has empty description section. | 37
| First sentence should end with a period. | 62
| Name 'm_jellyEngine' must match pattern '^[a-z][a-zA-Z0-9]*$'. | 63
| Variable 'm_jellyEngine' must be private and have accessor methods. | 63
| First sentence should end with a period. | 64
| Name 'm_context' must match pattern '^[a-z][a-zA-Z0-9]*$'. | 65
| First sentence should end with a period. | 66
| Name 'm_script' must match pattern '^[a-z][a-zA-Z0-9]*$'. | 67
| First sentence should end with a period. | 68
| Name 'm_inputStream' must match pattern '^[a-z][a-zA-Z0-9]*$'. | 69
| First sentence should end with a period. | 70
| Name 'm_outputStream' must match pattern '^[a-z][a-zA-Z0-9]*$'. | 71
| First sentence should end with a period. | 72
| Name 'm_output' must match pattern '^[a-z][a-zA-Z0-9]*$'. | 73
| First sentence should end with a period. | 75
| Variable access definition in wrong order. | 76
| Name 'm_scriptCompilationException' must match pattern '^[a-z][a-zA-Z0-9]*$'. | 76
| Variable 'm_scriptCompilationException' must be private and have accessor methods. | 76
| First sentence should end with a period. | 77
| Variable access definition in wrong order. | 78
| Name 'm_scriptCompiled' must match pattern '^[a-z][a-zA-Z0-9]*$'. | 78
| Variable 'm_scriptCompiled' must be private and have accessor methods. | 78
| First sentence should end with a period. | 79
| Name 'm_errorMsg' must match pattern '^[a-z][a-zA-Z0-9]*$'. | 80
| Static variable definition in wrong order. | 82
| Field 'log' is used in only one method. | 82
| First sentence should end with a period. | 84
| Expected @param tag for 'context'. | 96
| Expected @param tag for 'name'. | 113
| Expected @param tag for 'value'. | 113
| First sentence should end with a period. | 117
| Expected @param tag for 'scriptAsString'. | 121
| '}' should be on the same line. | 126
| '}' should be on the same line. | 130
| Javadoc has empty description section. | 140
| Expected @param tag for 'name'. | 143
| Expected @throws tag for 'MalformedURLException'. | 143
| First sentence should end with a period. | 151
| Expected @param tag for 'scriptAsInputStream'. | 155
| First sentence should end with a period. | 160
| '}' should be on the same line. | 171
| '}' should be on the same line. | 174
| '}' should be on the same line. | 177
| Expected @param tag for 'outputStream'. | 187
| Expected @param tag for 'namespaceURI'. | 198
| Expected @param tag for 'className'. | 198
| 'if' construct must use '{}'s. | 199
| Expected @param tag for 'namespaceURI'. | 207
| Expected @param tag for 'taglib'. | 207
| 'if' construct must use '{}'s. | 208
| Expected an @return tag. | 233
| 'if' construct must use '{}'s. | 234
| 'if' construct must use '{}'s. | 238
| 'if' construct must use '{}'s. | 244
| '}' should be on the same line. | 253
| 'if' construct must use '{}'s. | 255
| 'if' construct must use '{}'s. | 260

#### org/apache/commons/jelly/impl/ExpressionScript.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/ExpressionScript.java

Error | Line
--- | ---
| First sentence should end with a period. | 34
| Missing a Javadoc comment. | 37
| Missing a Javadoc comment. | 40
| Missing a Javadoc comment. | 44
| Javadoc has empty description section. | 48
| First sentence should end with a period. | 53
| Expected @param tag for 'expression'. | 54
| Missing a Javadoc comment. | 60
| First sentence should end with a period. | 64
| Expected @param tag for 'context'. | 65
| Expected @param tag for 'output'. | 65
| Expected @throws tag for 'JellyTagException'. | 65
| '(' is followed by whitespace. | 67
| ')' is preceded with whitespace. | 67
| method call child at indentation level 14 not at correct indentation, 16 | 70
| try child at indentation level 14 not at correct indentation, 16 | 70
| ',' is not followed by whitespace. | 72

#### org/apache/commons/jelly/impl/ScriptBlock.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/ScriptBlock.java

Error | Line
--- | ---
| First sentence should end with a period. | 35
| Javadoc has empty description section. | 44
| First sentence should end with a period. | 51
| Expected @param tag for 'script'. | 52
| First sentence should end with a period. | 56
| Expected @param tag for 'script'. | 57
| Expected an @return tag. | 65
| Missing a Javadoc comment. | 71
| First sentence should end with a period. | 85
| Expected @param tag for 'context'. | 86
| Expected @param tag for 'output'. | 86
| Expected @throws tag for 'JellyTagException'. | 86
| ';' is followed by whitespace. | 93
| 'list' hides a field. | 104
| '(' is followed by whitespace. | 105
| ')' is preceded with whitespace. | 105
| '(' is followed by whitespace. | 107
| ')' is preceded with whitespace. | 107
| '(' is followed by whitespace. | 111
| ')' is preceded with whitespace. | 111
| '}' should be on the same line. | 113

#### org/apache/commons/jelly/impl/StaticTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/StaticTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 35
| First sentence should end with a period. | 38
| First sentence should end with a period. | 41
| First sentence should end with a period. | 44
| Missing a Javadoc comment. | 47
| Missing a Javadoc comment. | 50
| Missing a Javadoc comment. | 56
| Missing a Javadoc comment. | 62
| Missing a Javadoc comment. | 74
| Missing a Javadoc comment. | 90
| Missing a Javadoc comment. | 94
| Missing a Javadoc comment. | 98
| Missing a Javadoc comment. | 102
| '}' should be on the same line. | 107
| Missing a Javadoc comment. | 113
| Missing a Javadoc comment. | 117
| Assignment of parameter 'localName' is not allowed. | 121

#### org/apache/commons/jelly/impl/StaticTagScript.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/StaticTagScript.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 43
| Missing a Javadoc comment. | 46
| Cyclomatic Complexity is 15 (max allowed is 10). | 53
| Missing a Javadoc comment. | 53
| ',' is not followed by whitespace. | 57
| ',' is not followed by whitespace. | 69
| '(' is followed by whitespace. | 77
| ')' is preceded with whitespace. | 77
| '(' is followed by whitespace. | 93
| '(' is followed by whitespace. | 93
| ')' is preceded with whitespace. | 93
| ')' is preceded with whitespace. | 93
| '}' should be on the same line. | 103
| '}' should be on the same line. | 106
| Catching 'RuntimeException' is not allowed. | 107
| ',' is not followed by whitespace. | 117
| First sentence should end with a period. | 121
| Expected an @return tag. | 125
| Expected @param tag for 'context'. | 125
| Expected @param tag for 'tag'. | 125
| Expected @throws tag for 'JellyException'. | 125
| '(' is followed by whitespace. | 127
| ')' is preceded with whitespace. | 127
| '(' is followed by whitespace. | 128
| ')' is preceded with whitespace. | 128
| '(' is followed by whitespace. | 129
| ')' is preceded with whitespace. | 129
| '(' is followed by whitespace. | 130
| ')' is preceded with whitespace. | 130
| '(' is followed by whitespace. | 131
| ')' is preceded with whitespace. | 131
| '(' is followed by whitespace. | 132
| ')' is preceded with whitespace. | 132

#### org/apache/commons/jelly/impl/TagFactory.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/TagFactory.java

Error | Line
--- | ---
| First sentence should end with a period. | 34
| Expected an @return tag. | 37
| Redundant 'public' modifier. | 37
| Expected @param tag for 'name'. | 37
| Expected @param tag for 'attributes'. | 37
| Expected @throws tag for 'JellyException'. | 37

#### org/apache/commons/jelly/impl/TagLibraryResolver.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/TagLibraryResolver.java

Error | Line
--- | ---
| Expected an @return tag. | 35
| Redundant 'public' modifier. | 35
| Expected @param tag for 'uri'. | 35

#### org/apache/commons/jelly/impl/TagScript.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/TagScript.java

Error | Line
--- | ---
| Class Fan-Out Complexity is 32 (max allowed is 20). | 61
| First sentence should end with a period. | 67
| Variable 'attributes' must be private and have accessor methods. | 68
| First sentence should end with a period. | 70
| Field 'namespaceContext' is used in only one method. | 78
| First sentence should end with a period. | 80
| First sentence should end with a period. | 83
| First sentence should end with a period. | 86
| First sentence should end with a period. | 89
| First sentence should end with a period. | 92
| First sentence should end with a period. | 95
| First sentence should end with a period. | 98
| First sentence should end with a period. | 101
| First sentence should end with a period. | 104
| First sentence should end with a period. | 107
| Javadoc has empty description section. | 114
| Expected @param tag for 'tagClass'. | 118
| Constructor definition in wrong order. | 123
| Missing a Javadoc comment. | 123
| Constructor definition in wrong order. | 126
| Missing a Javadoc comment. | 126
| Missing a Javadoc comment. | 130
| Line is longer than 100 characters. | 131
| First sentence should end with a period. | 134
| Expected an @return tag. | 137
| Expected @throws tag for 'JellyException'. | 137
| First sentence should end with a period. | 144
| Expected @param tag for 'tagNamespacesMap'. | 148
| '(' is followed by whitespace. | 150
| '!' is followed by whitespace. | 150
| ')' is preceded with whitespace. | 150
| Assignment of parameter 'tagNamespacesMap' is not allowed. | 151
| '(' is followed by whitespace. | 151
| ')' is preceded with whitespace. | 151
| First sentence should end with a period. | 156
| Expected @param tag for 'locator'. | 160
| '(' is followed by whitespace. | 161
| ')' is preceded with whitespace. | 161
| '(' is followed by whitespace. | 162
| ')' is preceded with whitespace. | 162
| Expected @param tag for 'name'. | 169
| Expected @param tag for 'expression'. | 169
| First sentence should end with a period. | 176
| Expected an @return tag. | 180
| Expected @param tag for 'url'. | 180
| Expected @throws tag for 'MalformedURLException'. | 180
| First sentence should end with a period. | 190
| Cyclomatic Complexity is 21 (max allowed is 10). | 191
| Expected @param tag for 'context'. | 191
| Expected @param tag for 'output'. | 191
| Expected @throws tag for 'JellyTagException'. | 191
| '(' is followed by whitespace. | 196
| ')' is preceded with whitespace. | 196
| '(' is followed by whitespace. | 202
| ')' is preceded with whitespace. | 202
| Line is longer than 100 characters. | 213
| '}' should be on the same line. | 215
| '}' should be on the same line. | 221
| '(' is followed by whitespace. | 224
| ')' is preceded with whitespace. | 224
| Line is longer than 100 characters. | 232
| ')' is preceded with whitespace. | 232
| Line is longer than 100 characters. | 237
| '}' should be on the same line. | 239
| '}' should be on the same line. | 251
| Catching 'RuntimeException' is not allowed. | 258
| '}' should be on the same line. | 260
| First sentence should end with a period. | 275
| Expected @param tag for 'context'. | 280
| Expected @throws tag for 'JellyTagException'. | 280
| 'if' construct must use '{}'s. | 283
| 'if' construct must use '{}'s. | 284
| Javadoc has empty description section. | 291
| Expected @param tag for 'context'. | 294
| Expected @throws tag for 'JellyException'. | 294
| '(' is followed by whitespace. | 297
| ')' is preceded with whitespace. | 297
| '(' is followed by whitespace. | 299
| ')' is preceded with whitespace. | 299
| ',' is not followed by whitespace. | 300
| ',' is not followed by whitespace. | 301
| Javadoc has empty description section. | 355
| First sentence should end with a period. | 362
| Expected @param tag for 'fileName'. | 365
| '{' should be on the previous line. | 368
| Javadoc has empty description section. | 376
| First sentence should end with a period. | 383
| Expected @param tag for 'elementName'. | 386
| Javadoc has empty description section. | 389
| First sentence should end with a period. | 396
| Expected @param tag for 'lineNumber'. | 399
| Javadoc has empty description section. | 403
| First sentence should end with a period. | 410
| Expected @param tag for 'columnNumber'. | 413
| First sentence should end with a period. | 417
| First sentence should end with a period. | 425
| First sentence should end with a period. | 433
| Declaring variables, return values or parameters of type 'Hashtable' is not allowed. | 464
| '+' is not preceded with whitespace. | 464
| '+' is not followed by whitespace. | 464
| '}' should be on the same line. | 469
| Expected an @return tag. | 487
| Expected @throws tag for 'JellyException'. | 487
| '(' is followed by whitespace. | 488
| Line contains a tab character. | 494
| Expected @param tag for 'tag'. | 498
| Expected @param tag for 'context'. | 498
| Expected @throws tag for 'JellyException'. | 498
| '(' is followed by whitespace. | 503
| ')' is preceded with whitespace. | 503
| '(' is followed by whitespace. | 506
| ')' is preceded with whitespace. | 506
| '(' is followed by whitespace. | 507
| ')' is preceded with whitespace. | 507
| First sentence should end with a period. | 519
| Expected @param tag for 'tag'. | 523
| Expected @param tag for 'context'. | 523
| ',' is not followed by whitespace. | 525
| First sentence should end with a period. | 528
| Expected @param tag for 'output'. | 531
| Expected @throws tag for 'SAXException'. | 531
| '(' is followed by whitespace. | 532
| ')' is preceded with whitespace. | 532
| '(' is followed by whitespace. | 533
| ';' is followed by whitespace. | 533
| First sentence should end with a period. | 542
| Expected @param tag for 'output'. | 545
| Expected @throws tag for 'SAXException'. | 545
| '(' is followed by whitespace. | 546
| ')' is preceded with whitespace. | 546
| '(' is followed by whitespace. | 547
| ';' is followed by whitespace. | 547
| Expected an @return tag. | 560
| Expected @throws tag for 'JellyException'. | 561
| First sentence should end with a period. | 571
| Expected an @return tag. | 574
| Expected @param tag for 'reason'. | 574
| First sentence should end with a period. | 580
| Expected an @return tag. | 583
| Expected @param tag for 'reason'. | 583
| Expected @param tag for 'cause'. | 583
| Expected @param tag for 'e'. | 607
| Expected @throws tag for 'JellyTagException'. | 607
| '(' is followed by whitespace. | 609
| ')' is preceded with whitespace. | 609
| Expected @param tag for 'e'. | 622
| Expected @throws tag for 'JellyTagException'. | 622
| '(' is followed by whitespace. | 624
| ')' is preceded with whitespace. | 624
| Missing a Javadoc comment. | 632
| '(' is followed by whitespace. | 637
| ')' is preceded with whitespace. | 637
| '(' is followed by whitespace. | 638
| ')' is preceded with whitespace. | 638
| '(' is followed by whitespace. | 640
| ')' is preceded with whitespace. | 640
| '(' is followed by whitespace. | 641
| ')' is preceded with whitespace. | 641
| Expected @param tag for 'e'. | 650
| Expected @throws tag for 'JellyTagException'. | 650
| '(' is followed by whitespace. | 652
| ')' is preceded with whitespace. | 652
| '(' is followed by whitespace. | 659
| ')' is preceded with whitespace. | 659
| '(' is followed by whitespace. | 663
| '(' is followed by whitespace. | 664
| 'cast' is not followed by whitespace. | 664
| ')' is preceded with whitespace. | 668
| Expected @param tag for 'e'. | 681
| Expected @throws tag for 'Error'. | 681
| Redundant throws: 'Error' is unchecked exception. | 681
| Expected @throws tag for 'JellyTagException'. | 681
| '(' is followed by whitespace. | 683
| ')' is preceded with whitespace. | 683

#### org/apache/commons/jelly/impl/TextScript.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/impl/TextScript.java

Error | Line
--- | ---
| First sentence should end with a period. | 32
| Missing a Javadoc comment. | 35
| Missing a Javadoc comment. | 38
| Missing a Javadoc comment. | 42
| First sentence should end with a period. | 46
| First sentence should end with a period. | 53
| '(' is followed by whitespace. | 58
| ')' is preceded with whitespace. | 58
| '(' is followed by whitespace. | 64
| ')' is preceded with whitespace. | 64
| First sentence should end with a period. | 69
| '(' is followed by whitespace. | 81
| ')' is preceded with whitespace. | 81
| ',' is not followed by whitespace. | 82
| Javadoc has empty description section. | 86
| First sentence should end with a period. | 91
| Expected @param tag for 'text'. | 92
| Missing a Javadoc comment. | 98
| First sentence should end with a period. | 102
| Expected @param tag for 'context'. | 103
| Expected @param tag for 'output'. | 103
| Expected @throws tag for 'JellyTagException'. | 103
| '(' is followed by whitespace. | 104
| ')' is preceded with whitespace. | 104
| method call child at indentation level 14 not at correct indentation, 16 | 106
| try child at indentation level 14 not at correct indentation, 16 | 106
| ',' is not followed by whitespace. | 108

#### org/apache/commons/jelly/parser/DefaultNamespaceFilter.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/parser/DefaultNamespaceFilter.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 32
| Variable 'uriDefault' must be private and have accessor methods. | 32
| First sentence should end with a period. | 34
| method def throws at indentation level 4 not at correct indentation, 8 | 55
| Expected @throws tag for 'SAXException'. | 55
| ',' is not followed by whitespace. | 58
| ',' is not followed by whitespace. | 60
| Expected @param tag for 'localName'. | 74
| Expected @param tag for 'qName'. | 75
| Expected @param tag for 'atts'. | 76
| method def throws at indentation level 4 not at correct indentation, 8 | 77
| Expected @throws tag for 'SAXException'. | 77
| ',' is not followed by whitespace. | 80
| ',' is not followed by whitespace. | 80
| ',' is not followed by whitespace. | 80
| ',' is not followed by whitespace. | 82
| ',' is not followed by whitespace. | 82
| ',' is not followed by whitespace. | 82
| Expected @param tag for 'localName'. | 96
| Expected @param tag for 'qName'. | 96
| method def throws at indentation level 4 not at correct indentation, 8 | 97
| Expected @throws tag for 'SAXException'. | 97
| ',' is not followed by whitespace. | 99
| ',' is not followed by whitespace. | 99
| ',' is not followed by whitespace. | 101
| ',' is not followed by whitespace. | 101

#### org/apache/commons/jelly/parser/XMLParser.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/parser/XMLParser.java

Error | Line
--- | ---
| Found duplicate of 40 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\impl\DefaultTagLibraryResolver.java, starting from line 117 | 356
| Found duplicate of 46 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\JellyContext.java, starting from line 849 | 356

#### org/apache/commons/jelly/parser/XMLParser.java

Error | Line
--- | ---
| Class Data Abstraction Coupling is 19 (max allowed is 10). | 74
| Class Fan-Out Complexity is 49 (max allowed is 20). | 74
| First sentence should end with a period. | 76
| Field 'jellyProperties' is used in only one method. | 79
| First sentence should end with a period. | 82
| First sentence should end with a period. | 85
| First sentence should end with a period. | 88
| First sentence should end with a period. | 91
| Declaring variables, return values or parameters of type 'ArrayList' is not allowed. | 98
| First sentence should end with a period. | 100
| Variable access definition in wrong order. | 109
| Variable 'classLoader' must be private and have accessor methods. | 109
| Variable access definition in wrong order. | 115
| Variable 'useContextClassLoader' must be private and have accessor methods. | 115
| Variable access definition in wrong order. | 121
| Variable 'errorHandler' must be private and have accessor methods. | 121
| Static variable definition in wrong order. | 126
| Variable access definition in wrong order. | 126
| Variable 'factory' must be private and have accessor methods. | 126
| Variable access definition in wrong order. | 131
| Variable 'parser' must be private and have accessor methods. | 131
| Variable access definition in wrong order. | 136
| Variable 'reader' must be private and have accessor methods. | 136
| Variable access definition in wrong order. | 141
| Variable 'locator' must be private and have accessor methods. | 141
| Variable access definition in wrong order. | 151
| Variable 'namespaces' must be private and have accessor methods. | 151
| First sentence should end with a period. | 153
| First sentence should end with a period. | 156
| Variable access definition in wrong order. | 165
| Variable 'validating' must be private and have accessor methods. | 165
| First sentence should end with a period. | 167
| Field 'configured' is used in only one method. | 168
| First sentence should end with a period. | 170
| Expected @param tag for 'parser'. | 195
| Expected @param tag for 'reader'. | 206
| Expected an @return tag. | 219
| Expected an @return tag. | 232
| Expected an @return tag. | 251
| Expected an @return tag. | 272
| Expected an @return tag. | 293
| Expected an @return tag. | 309
| Expected an @return tag. | 323
| '}' should be on the same line. | 330
| Missing a Javadoc comment. | 338
| Missing a Javadoc comment. | 342
| Expected an @return tag. | 367
| Expected an @return tag. | 385
| Expected an @return tag. | 405
| First sentence should end with a period. | 418
| Expected an @return tag. | 421
| Expected @param tag for 'log'. | 428
| Javadoc has empty description section. | 432
| First sentence should end with a period. | 440
| Expected @param tag for 'expressionFactory'. | 441
| Expected an @return tag. | 449
| '}' should be on the same line. | 464
| Expected an @return tag. | 479
| '}' should be on the same line. | 482
| Expected an @return tag. | 494
| ',' is not followed by whitespace. | 498
| Expected an @return tag. | 513
| Cyclomatic Complexity is 11 (max allowed is 10). | 578
| '(' is followed by whitespace. | 587
| ')' is preceded with whitespace. | 587
| Assignment of parameter 'namespaceURI' is not allowed. | 588
| '(' is followed by whitespace. | 601
| ')' is preceded with whitespace. | 601
| '}' should be on the same line. | 618
| '}' should be on the same line. | 634
| '}' should be on the same line. | 637
| '(' is followed by whitespace. | 639
| ')' is preceded with whitespace. | 639
| '(' is followed by whitespace. | 640
| ')' is preceded with whitespace. | 640
| Array brackets at illegal position. | 654
| '}' should be on the same line. | 681
| '(' is followed by whitespace. | 689
| ')' is preceded with whitespace. | 689
| '}' should be on the same line. | 691
| '(' is followed by whitespace. | 696
| ')' is preceded with whitespace. | 696
| '(' is followed by whitespace. | 697
| ')' is preceded with whitespace. | 697
| '(' is followed by whitespace. | 719
| ')' is preceded with whitespace. | 719
| '}' should be on the same line. | 743
| Array brackets at illegal position. | 759
| First sentence should end with a period. | 904
| First sentence should end with a period. | 915
| '(' is followed by whitespace. | 929
| '!' is followed by whitespace. | 929
| ')' is preceded with whitespace. | 929
| First sentence should end with a period. | 936
| Expected an @return tag. | 939
| '}' should be on the same line. | 951
| '}' should be on the same line. | 954
| '}' should be on the same line. | 958
| 'if' construct must use '{}'s. | 960
| Expected an @return tag. | 972
| Cyclomatic Complexity is 15 (max allowed is 10). | 972
| Expected @param tag for 'namespaceURI'. | 973
| Expected @param tag for 'localName'. | 974
| Expected @param tag for 'list'. | 975
| Expected @throws tag for 'SAXException'. | 976
| '6' is a magic number. | 982
| '}' should be on the same line. | 988
| Line is longer than 100 characters. | 990
| '}' should be on the same line. | 991
| Line is longer than 100 characters. | 993
| ',' is not followed by whitespace. | 993
| '}' should be on the same line. | 994
| Line is longer than 100 characters. | 996
| ',' is not followed by whitespace. | 996
| '}' should be on the same line. | 997
| Line is longer than 100 characters. | 999
| ',' is not followed by whitespace. | 999
| 'script' hides a field. | 1004
| '(' is followed by whitespace. | 1005
| ')' is preceded with whitespace. | 1005
| Line is longer than 100 characters. | 1023
| '}' should be on the same line. | 1031
| Expected an @return tag. | 1044
| Expected @param tag for 'namespaceURI'. | 1045
| Expected @param tag for 'localName'. | 1046
| Expected @param tag for 'qName'. | 1047
| Expected @param tag for 'list'. | 1048
| Expected @throws tag for 'SAXException'. | 1049
| Unused local variable 'tag'. | 1051
| '(' is followed by whitespace. | 1051
| ')' is preceded with whitespace. | 1051
| 'script' hides a field. | 1052
| '(' is followed by whitespace. | 1055
| ')' is preceded with whitespace. | 1055
| assign child at indentation level 12 not at correct indentation, 16 | 1058
| method call rparen at indentation level 20 not at correct indentation, 16 | 1067
| '}' should be on the same line. | 1072
| First sentence should end with a period. | 1085
| Expected @param tag for 'aTagScript'. | 1090
| '(' is followed by whitespace. | 1095
| ')' is preceded with whitespace. | 1095
| '(' is followed by whitespace. | 1096
| ')' is preceded with whitespace. | 1096
| Expected @param tag for 'text'. | 1105
| Expected @throws tag for 'JellyException'. | 1105
| Expected @param tag for 'script'. | 1116
| Expected @param tag for 'expression'. | 1116
| '(' is followed by whitespace. | 1117
| ')' is preceded with whitespace. | 1117
| '(' is followed by whitespace. | 1121
| ')' is preceded with whitespace. | 1121
| '(' is followed by whitespace. | 1122
| ')' is preceded with whitespace. | 1122
| '}' should be on the same line. | 1124
| if at indentation level 8 not at correct indentation, 12 | 1126
| '(' is followed by whitespace. | 1126
| ')' is preceded with whitespace. | 1126
| if child at indentation level 12 not at correct indentation, 16 | 1127
| if child at indentation level 12 not at correct indentation, 16 | 1128
| method call child at indentation level 12 not at correct indentation, 16 | 1128
| if child at indentation level 12 not at correct indentation, 16 | 1130
| assign at indentation level 16 not at correct indentation, 20 | 1131
| if child at indentation level 12 not at correct indentation, 16 | 1132
| while at indentation level 12 not at correct indentation, 16 | 1133
| method call child at indentation level 16 not at correct indentation, 20 | 1134
| while child at indentation level 16 not at correct indentation, 20 | 1134
| '(' is followed by whitespace. | 1134
| ')' is preceded with whitespace. | 1134
| while rcurly at indentation level 12 not at correct indentation, 16 | 1135
| if rcurly at indentation level 8 not at correct indentation, 12 | 1136
| '}' should be on the same line. | 1136
| else at indentation level 8 not at correct indentation, 12 | 1137
| else child at indentation level 12 not at correct indentation, 16 | 1138
| method call child at indentation level 12 not at correct indentation, 16 | 1138
| else rcurly at indentation level 8 not at correct indentation, 12 | 1139
| Missing a Javadoc comment. | 1142
| Missing a Javadoc comment. | 1149
| Javadoc has empty description section. | 1153
| Avoid inline conditionals. | 1159
| First sentence should end with a period. | 1162
| Expected @param tag for 'message'. | 1168
| Expected @param tag for 'e'. | 1168
| '}' should be on the same line. | 1181
| '}' should be on the same line. | 1189
| First sentence should end with a period. | 1195
| Expected @param tag for 'e'. | 1201
| First sentence should end with a period. | 1204
| Expected @param tag for 'message'. | 1210

#### org/apache/commons/jelly/servlet/JellyServlet.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/servlet/JellyServlet.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 53
| Missing a Javadoc comment. | 61
| First sentence should end with a period. | 69
| Expected @throws tag for 'ServletException'. | 77
| Expected @throws tag for 'IOException'. | 77
| '}' should be on the same line. | 83
| Javadoc has empty description section. | 89
| Javadoc has empty description section. | 133
| Redundant throws: 'UnsupportedEncodingException' is subclass of 'IOException'. | 148
| Expected @throws tag for 'ServletException'. | 173
| Expected @throws tag for 'IOException'. | 173

#### org/apache/commons/jelly/servlet/JellyServletContext.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/servlet/JellyServletContext.java

Error | Line
--- | ---
| Wrong order for 'javax.servlet.ServletContext' import. | 21
| Wrong order for 'java.io.InputStream' import. | 22
| Javadoc has empty description section. | 26
| Missing a Javadoc comment. | 33
| Missing a Javadoc comment. | 35
| Missing a Javadoc comment. | 38
| Missing a Javadoc comment. | 43
| Expected an @return tag. | 54
| Expected @param tag for 's'. | 54
| Expected @throws tag for 'MalformedURLException'. | 54
| Expected an @return tag. | 63
| Expected @param tag for 's'. | 63
| Missing a Javadoc comment. | 67
| '{' should be on the previous line. | 68

#### org/apache/commons/jelly/tags/Resources.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/Resources.java

Error | Line
--- | ---
| Using the '.*' form of import should be avoided - java.util.*. | 19
| Using the '.*' form of import should be avoided - java.text.*. | 20
| Utility classes should not have a public or default constructor. | 41
| assign at indentation level 4 not at correct indentation, 8 | 48
| method call child at indentation level 4 not at correct indentation, 8 | 52
| Expected an @return tag. | 59
| Expected @param tag for 'name'. | 59
| Expected @throws tag for 'MissingResourceException'. | 60
| Redundant throws: 'MissingResourceException' is unchecked exception. | 60
| Expected an @return tag. | 65
| Expected @param tag for 'name'. | 65
| Expected @param tag for 'a'. | 65
| Expected @throws tag for 'MissingResourceException'. | 66
| Redundant throws: 'MissingResourceException' is unchecked exception. | 66
| method def child at indentation level 4 not at correct indentation, 8 | 67
| Expected an @return tag. | 72
| Expected @param tag for 'name'. | 72
| Expected @param tag for 'a1'. | 72
| Expected @throws tag for 'MissingResourceException'. | 73
| Redundant throws: 'MissingResourceException' is unchecked exception. | 73
| '{' is followed by whitespace. | 74
| Expected an @return tag. | 78
| Expected @param tag for 'name'. | 78
| Expected @param tag for 'a1'. | 78
| Expected @param tag for 'a2'. | 78
| Expected @throws tag for 'MissingResourceException'. | 79
| Redundant throws: 'MissingResourceException' is unchecked exception. | 79
| '{' is followed by whitespace. | 80
| Expected an @return tag. | 84
| Expected @param tag for 'name'. | 84
| Expected @param tag for 'a1'. | 85
| Expected @param tag for 'a2'. | 86
| Expected @param tag for 'a3'. | 87
| Expected @throws tag for 'MissingResourceException'. | 88
| Redundant throws: 'MissingResourceException' is unchecked exception. | 88
| '{' is followed by whitespace. | 89
| Expected an @return tag. | 93
| Expected @param tag for 'name'. | 93
| Expected @param tag for 'a1'. | 94
| Expected @param tag for 'a2'. | 95
| Expected @param tag for 'a3'. | 96
| Expected @param tag for 'a4'. | 97
| Expected @throws tag for 'MissingResourceException'. | 98
| Redundant throws: 'MissingResourceException' is unchecked exception. | 98
| '{' is followed by whitespace. | 99
| Expected an @return tag. | 103
| Expected @param tag for 'name'. | 103
| Expected @param tag for 'a1'. | 104
| Expected @param tag for 'a2'. | 105
| Expected @param tag for 'a3'. | 106
| Expected @param tag for 'a4'. | 107
| Expected @param tag for 'a5'. | 108
| Expected @throws tag for 'MissingResourceException'. | 109
| Redundant throws: 'MissingResourceException' is unchecked exception. | 109
| '{' is followed by whitespace. | 110
| Expected an @return tag. | 114
| Expected @param tag for 'name'. | 114
| Expected @param tag for 'a1'. | 115
| Expected @param tag for 'a2'. | 116
| Expected @param tag for 'a3'. | 117
| Expected @param tag for 'a4'. | 118
| Expected @param tag for 'a5'. | 119
| Expected @param tag for 'a6'. | 120
| Expected @throws tag for 'MissingResourceException'. | 121
| Redundant throws: 'MissingResourceException' is unchecked exception. | 121
| '{' is followed by whitespace. | 122

#### org/apache/commons/jelly/tags/core/ArgTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/ArgTag.java

Error | Line
--- | ---
| Class Data Abstraction Coupling is 11 (max allowed is 10). | 42
| Missing a Javadoc comment. | 47
| Unclosed HTML tag found: &lt;code&gt;boolean&lt;code&gt;, &lt;code&gt;int&lt;/code&gt;, &lt;code&gt;double&lt;/code&gt;, | 57
| Expected @param tag for 'type'. | 59
| Expected @param tag for 'value'. | 64
| '=' is not preceded with whitespace. | 65
| Cyclomatic Complexity is 21 (max allowed is 10). | 71
| Missing a Javadoc comment. | 71
| 'if' is not followed by whitespace. | 75
| 'if' is not followed by whitespace. | 78
| 'if' is not followed by whitespace. | 81
| 'if' is not followed by whitespace. | 84
| 'if' is not followed by whitespace. | 87
| 'if' is not followed by whitespace. | 90
| 'if' is not followed by whitespace. | 93
| 'if' is not followed by whitespace. | 96
| 'if' is not followed by whitespace. | 99
| try child at indentation level 14 not at correct indentation, 16 | 101
| 'if' is not followed by whitespace. | 105
| 'if' is not followed by whitespace. | 111
| ',' is not followed by whitespace. | 111
| '{' should be on the previous line. | 113
| '}' should be on the same line. | 119
| '{' should be on the previous line. | 121
| ',' is not followed by whitespace. | 122
| 'cast' is not followed by whitespace. | 126
| 'if' is not followed by whitespace. | 127
| Line is longer than 100 characters. | 128
| ')' is preceded with whitespace. | 128
| ',' is not followed by whitespace. | 130
| Missing a Javadoc comment. | 137
| 'if' is not followed by whitespace. | 138
| Missing a Javadoc comment. | 143
| Instance variable definition in wrong order. | 151
| First sentence should end with a period. | 153
| Instance variable definition in wrong order. | 154
| Missing a Javadoc comment. | 159
| 'if' is not followed by whitespace. | 160
| 'if' is not followed by whitespace. | 162
| 'cast' is not followed by whitespace. | 163
| 'if' is not followed by whitespace. | 164
| ',' is not followed by whitespace. | 168
| 'catch' is not followed by whitespace. | 169
| Line is longer than 100 characters. | 170
| ',' is not followed by whitespace. | 170
| First sentence should end with a period. | 179
| Static variable definition in wrong order. | 180
| Avoid nested blocks. | 183
| ',' is not followed by whitespace. | 185
| ',' is not followed by whitespace. | 186
| Avoid nested blocks. | 188
| ',' is not followed by whitespace. | 190
| ',' is not followed by whitespace. | 191
| Avoid nested blocks. | 193
| 'if' is not followed by whitespace. | 196
| 'cast' is not followed by whitespace. | 197
| ',' is not followed by whitespace. | 199
| Instance variable definition in wrong order. | 202
| Field 'inner' is used in only one method. | 202
| ',' is not followed by whitespace. | 204
| ',' is not followed by whitespace. | 205
| Avoid nested blocks. | 207
| 'if' is not followed by whitespace. | 210
| 'cast' is not followed by whitespace. | 211
| ',' is not followed by whitespace. | 213
| Instance variable definition in wrong order. | 216
| Field 'inner' is used in only one method. | 216
| ',' is not followed by whitespace. | 218
| ',' is not followed by whitespace. | 219
| Avoid nested blocks. | 221
| 'if' is not followed by whitespace. | 224
| 'cast' is not followed by whitespace. | 225
| ',' is not followed by whitespace. | 227
| Instance variable definition in wrong order. | 230
| Field 'inner' is used in only one method. | 230
| ',' is not followed by whitespace. | 232
| ',' is not followed by whitespace. | 233
| Avoid nested blocks. | 235
| 'if' is not followed by whitespace. | 238
| 'cast' is not followed by whitespace. | 239
| ',' is not followed by whitespace. | 241
| Instance variable definition in wrong order. | 244
| Field 'inner' is used in only one method. | 244
| ',' is not followed by whitespace. | 246
| ',' is not followed by whitespace. | 247
| Avoid nested blocks. | 249
| 'if' is not followed by whitespace. | 252
| 'cast' is not followed by whitespace. | 253
| ',' is not followed by whitespace. | 255
| Instance variable definition in wrong order. | 258
| Field 'inner' is used in only one method. | 258
| ',' is not followed by whitespace. | 260
| ',' is not followed by whitespace. | 261
| Avoid nested blocks. | 263
| 'if' is not followed by whitespace. | 266
| 'cast' is not followed by whitespace. | 267
| ',' is not followed by whitespace. | 269
| Instance variable definition in wrong order. | 272
| Field 'inner' is used in only one method. | 272
| ',' is not followed by whitespace. | 274
| ',' is not followed by whitespace. | 275

#### org/apache/commons/jelly/tags/core/ArgTagParent.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/ArgTagParent.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 23
| Redundant 'public' modifier. | 23

#### org/apache/commons/jelly/tags/core/BaseClassLoaderTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/BaseClassLoaderTag.java

Error | Line
--- | ---
| Found duplicate of 40 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\JellyContext.java, starting from line 849 | 41
| Found duplicate of 40 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\parser\XMLParser.java, starting from line 356 | 41
| Found duplicate of 45 lines in C:\home\Brett\cvs\apache\jakarta-commons\jelly\src\java\org\apache\commons\jelly\impl\DefaultTagLibraryResolver.java, starting from line 117 | 41

#### org/apache/commons/jelly/tags/core/BaseClassLoaderTag.java

Error | Line
--- | ---
| Variable 'classLoader' must be private and have accessor methods. | 34
| Variable 'useContextClassLoader' must be private and have accessor methods. | 40
| Expected an @return tag. | 52
| Expected an @return tag. | 70
| Unused @param tag for 'boolean'. | 81
| Expected @param tag for 'use'. | 83

#### org/apache/commons/jelly/tags/core/BreakTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/BreakTag.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 42
| Missing a Javadoc comment. | 47
| '(' is followed by whitespace. | 52
| ')' is preceded with whitespace. | 52
| '(' is followed by whitespace. | 53
| '(' is followed by whitespace. | 55
| ')' is preceded with whitespace. | 55
| First sentence should end with a period. | 71

#### org/apache/commons/jelly/tags/core/CaseTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/CaseTag.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 40
| Missing a Javadoc comment. | 45
| Missing a Javadoc comment. | 49
| Missing a Javadoc comment. | 53
| Redundant throws: 'MissingAttributeException' is subclass of 'JellyTagException'. | 53
| 'if' is not followed by whitespace. | 54
| 'cast' is not followed by whitespace. | 57
| 'if' is not followed by whitespace. | 58
| ')' is preceded with whitespace. | 59
| 'if' is not followed by whitespace. | 61
| ')' is preceded with whitespace. | 62
| Boolean expression complexity is 4 (max allowed is 3). | 65
| 'if' is not followed by whitespace. | 65
| '||' should be on a new line. | 65
| if child at indentation level 11 not at correct indentation, 12 | 66
| '||' should be on a new line. | 66
| if child at indentation level 11 not at correct indentation, 12 | 67
| Instance variable definition in wrong order. | 76
| Missing a Javadoc comment. | 76
| Instance variable definition in wrong order. | 77
| Missing a Javadoc comment. | 77

#### org/apache/commons/jelly/tags/core/CatchTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/CatchTag.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 32
| Missing a Javadoc comment. | 34
| Missing a Javadoc comment. | 39
| '}' should be on the same line. | 45
| Catching 'Throwable' is not allowed. | 46
| Expected @param tag for 'var'. | 61

#### org/apache/commons/jelly/tags/core/ChooseTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/ChooseTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 22
| Missing a Javadoc comment. | 29
| Missing a Javadoc comment. | 31
| Missing a Javadoc comment. | 36
| Missing a Javadoc comment. | 41
| Missing a Javadoc comment. | 45

#### org/apache/commons/jelly/tags/core/CoreTagLibrary.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/CoreTagLibrary.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 30

#### org/apache/commons/jelly/tags/core/DefaultTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/DefaultTag.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 38
| Missing a Javadoc comment. | 44
| Missing a Javadoc comment. | 48
| 'cast' is not followed by whitespace. | 49
| 'if' is not followed by whitespace. | 50
| ')' is preceded with whitespace. | 51
| 'if' is not followed by whitespace. | 53
| 'if' is not followed by whitespace. | 57
| Instance variable definition in wrong order. | 66
| Missing a Javadoc comment. | 66

#### org/apache/commons/jelly/tags/core/ExprTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/ExprTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 24
| Missing a Javadoc comment. | 35
| Missing a Javadoc comment. | 40
| '}' should be on the same line. | 47
| ',' is not followed by whitespace. | 49
| Expected @param tag for 'value'. | 63

#### org/apache/commons/jelly/tags/core/FileTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/FileTag.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 42
| Missing a Javadoc comment. | 43
| Missing a Javadoc comment. | 44
| Missing a Javadoc comment. | 45
| Missing a Javadoc comment. | 46
| Missing a Javadoc comment. | 47
| Missing a Javadoc comment. | 48
| Missing a Javadoc comment. | 50
| '{' is not preceded with whitespace. | 50
| Cyclomatic Complexity is 12 (max allowed is 10). | 55
| Missing a Javadoc comment. | 55
| '(' is followed by whitespace. | 57
| ')' is preceded with whitespace. | 57
| 'encoding' hides a field. | 58
| Avoid inline conditionals. | 58
| Line is longer than 100 characters. | 59
| '(' is followed by whitespace. | 59
| '(' is followed by whitespace. | 59
| ')' is preceded with whitespace. | 59
| ')' is preceded with whitespace. | 59
| '}' should be on the same line. | 61
| '}' should be on the same line. | 73
| Line is longer than 100 characters. | 75
| '(' is followed by whitespace. | 75
| ')' is preceded with whitespace. | 75
| ',' is not followed by whitespace. | 82
| First sentence should end with a period. | 89
| Expected @param tag for 'name'. | 92
| First sentence should end with a period. | 96
| Expected @param tag for 'omitXmlDeclaration'. | 99
| First sentence should end with a period. | 104
| Expected @param tag for 'outputMode'. | 107
| Line is longer than 100 characters. | 112
| Expected @param tag for 'prettyPrint'. | 114
| First sentence should end with a period. | 118
| Expected @param tag for 'encoding'. | 121
| Expected @param tag for 'doAppend'. | 129
| First sentence should end with a period. | 150
| Expected @param tag for 'writer'. | 153
| Expected @throws tag for 'SAXException'. | 153
| Expected @throws tag for 'JellyTagException'. | 153
| '}' should be on the same line. | 164
| Must have at least one statement. | 166
| '{' is not followed by whitespace. | 166
| '}' is not preceded with whitespace. | 166
| Expected an @return tag. | 173
| Expected @param tag for 'writer'. | 173
| '}' should be on the same line. | 178
| '(' is followed by whitespace. | 182
| ')' is preceded with whitespace. | 182
| '(' is followed by whitespace. | 183
| ')' is preceded with whitespace. | 183
| '(' is followed by whitespace. | 185
| ')' is preceded with whitespace. | 185
| '(' is followed by whitespace. | 189
| ')' is preceded with whitespace. | 189
| Avoid inline conditionals. | 191

#### org/apache/commons/jelly/tags/core/ForEachTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/ForEachTag.java

Error | Line
--- | ---
| Field 'log' is used in only one method. | 43
| First sentence should end with a period. | 60
| First sentence should end with a period. | 63
| First sentence should end with a period. | 66
| First sentence should end with a period. | 69
| First sentence should end with a period. | 72
| Field 'index' is used in only one method. | 73
| Missing a Javadoc comment. | 75
| Cyclomatic Complexity is 34 (max allowed is 10). | 81
| Missing a Javadoc comment. | 81
| NPath Complexity is 5,302 (max allowed is 200). | 81
| Redundant throws: 'MissingAttributeException' is subclass of 'JellyTagException'. | 81
| ')' is preceded with whitespace. | 96
| '{' should be on the previous line. | 103
| Avoid inline conditionals. | 105
| Avoid inline conditionals. | 106
| Avoid inline conditionals. | 107
| '(' is followed by whitespace. | 138
| ')' is preceded with whitespace. | 138
| '(' is followed by whitespace. | 139
| '!' is followed by whitespace. | 139
| ')' is preceded with whitespace. | 139
| if child at indentation level 27 not at correct indentation, 28 | 140
| '}' should be on the same line. | 141
| '}' should be on the same line. | 153
| '(' is followed by whitespace. | 155
| ')' is preceded with whitespace. | 155
| '(' is followed by whitespace. | 156
| ')' is preceded with whitespace. | 156
| '}' should be on the same line. | 157
| '(' is followed by whitespace. | 160
| ')' is preceded with whitespace. | 160
| '{' should be on the previous line. | 166
| ')' is preceded with whitespace. | 176
| '}' should be on the same line. | 195
| Expected @param tag for 'items'. | 211
| First sentence should end with a period. | 215
| Expected @param tag for 'var'. | 217
| First sentence should end with a period. | 221
| Expected @param tag for 'indexVar'. | 223
| First sentence should end with a period. | 227
| Expected @param tag for 'begin'. | 229
| First sentence should end with a period. | 233
| Expected @param tag for 'end'. | 235
| First sentence should end with a period. | 239
| Expected @param tag for 'step'. | 241
| Expected @param tag for 'var'. | 259
| '{' should be on the previous line. | 267
| Missing a Javadoc comment. | 268
| Missing a Javadoc comment. | 269
| Missing a Javadoc comment. | 270
| Missing a Javadoc comment. | 271
| Missing a Javadoc comment. | 272
| Missing a Javadoc comment. | 273
| Missing a Javadoc comment. | 274
| Missing a Javadoc comment. | 275
| Missing a Javadoc comment. | 277
| Javadoc has empty description section. | 282
| Javadoc has empty description section. | 288
| Javadoc has empty description section. | 294
| Javadoc has empty description section. | 300
| Javadoc has empty description section. | 306
| Javadoc has empty description section. | 312
| Javadoc has empty description section. | 318
| Javadoc has empty description section. | 324
| Javadoc has empty description section. | 330
| Javadoc has empty description section. | 336
| Javadoc has empty description section. | 342
| Javadoc has empty description section. | 348
| Javadoc has empty description section. | 354

#### org/apache/commons/jelly/tags/core/GetStaticTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/GetStaticTag.java

Error | Line
--- | ---
| Unused @param tag for 'method'. | 70
| Expected @param tag for 'field'. | 73
| Missing a Javadoc comment. | 92
| 'if' construct must use '{}'s. | 95
| 'if' is not followed by whitespace. | 95
| 'if' construct must use '{}'s. | 97
| 'if' is not followed by whitespace. | 97
| 'if' construct must use '{}'s. | 99
| 'if' is not followed by whitespace. | 99
| 'if' construct must use '{}'s. | 102
| 'if' is not followed by whitespace. | 102
| Catching 'Throwable' is not allowed. | 112
| 'catch' is not followed by whitespace. | 112
| '+' should be on a new line. | 114
| '+' should be on a new line. | 115

#### org/apache/commons/jelly/tags/core/IfTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/IfTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 24
| Missing a Javadoc comment. | 34
| Missing a Javadoc comment. | 39
| Redundant throws: 'MissingAttributeException' is subclass of 'JellyTagException'. | 39
| '}' should be on the same line. | 44
| '(' is followed by whitespace. | 46
| ')' is preceded with whitespace. | 46

#### org/apache/commons/jelly/tags/core/ImportTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/ImportTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 39
| First sentence should end with a period. | 45
| First sentence should end with a period. | 65
| Redundant throws: 'MissingAttributeException' is subclass of 'JellyTagException'. | 71
| '(' is followed by whitespace. | 73
| ')' is preceded with whitespace. | 73
| ')' is preceded with whitespace. | 80
| method call child at indentation level 18 not at correct indentation, 20 | 83
| '}' should be on the same line. | 85
| ',' is not followed by whitespace. | 87
| Javadoc has empty description section. | 94
| First sentence should end with a period. | 101
| Expected @param tag for 'inherit'. | 104
| Expected @param tag for 'uri'. | 111

#### org/apache/commons/jelly/tags/core/IncludeTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/IncludeTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 27
| Missing a Javadoc comment. | 35
| Missing a Javadoc comment. | 36
| Missing a Javadoc comment. | 38
| Missing a Javadoc comment. | 39
| Missing a Javadoc comment. | 41
| Missing a Javadoc comment. | 46
| Missing a Javadoc comment. | 54
| Missing a Javadoc comment. | 62
| Missing a Javadoc comment. | 66
| Javadoc has empty description section. | 70
| Expected an @return tag. | 73
| First sentence should end with a period. | 77
| Expected @param tag for 'file'. | 81
| Missing a Javadoc comment. | 88
| Redundant throws: 'MissingAttributeException' is subclass of 'JellyTagException'. | 89
| '}' should be on the same line. | 102
| '}' should be on the same line. | 107
| Line is longer than 100 characters. | 109
| Expected @param tag for 'uri'. | 116

#### org/apache/commons/jelly/tags/core/InvokeStaticTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/InvokeStaticTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 50
| First sentence should end with a period. | 53
| First sentence should end with a period. | 56
| First sentence should end with a period. | 59
| Missing a Javadoc comment. | 62
| Missing a Javadoc comment. | 63
| Missing a Javadoc comment. | 65
| First sentence should end with a period. | 68
| First sentence should end with a period. | 77
| Expected @param tag for 'var'. | 80
| First sentence should end with a period. | 84
| Unused @param tag for 'method'. | 87
| Expected @param tag for 'methodName'. | 89
| First sentence should end with a period. | 93
| First sentence should end with a period. | 102
| Cyclomatic Complexity is 11 (max allowed is 10). | 115
| Missing a Javadoc comment. | 115
| '(' is followed by whitespace. | 117
| '(' is followed by whitespace. | 118
| ')' is preceded with whitespace. | 118
| 'cast' is not followed by whitespace. | 123
| '(' is followed by whitespace. | 124
| ')' is preceded with whitespace. | 124
| '(' is followed by whitespace. | 125
| ')' is preceded with whitespace. | 125
| 'if' is not followed by whitespace. | 126
| 'cast' is not followed by whitespace. | 130
| 'if' is not followed by whitespace. | 131
| '}' should be on the same line. | 134
| '}' should be on the same line. | 137
| '}' should be on the same line. | 140
| '}' should be on the same line. | 143
| 'if' is not followed by whitespace. | 145
| ',' is not followed by whitespace. | 146
| '+' should be on a new line. | 148
| '+' is not preceded with whitespace. | 149
| ')' is preceded with whitespace. | 150
| '}' should be on the same line. | 152
| First sentence should end with a period. | 162
| Expected an @return tag. | 166
| Expected @throws tag for 'ClassNotFoundException'. | 166
| First sentence should end with a period. | 170

#### org/apache/commons/jelly/tags/core/InvokeTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/InvokeTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 28
| First sentence should end with a period. | 37
| First sentence should end with a period. | 40
| First sentence should end with a period. | 43
| First sentence should end with a period. | 46
| Missing a Javadoc comment. | 49
| Missing a Javadoc comment. | 50
| Missing a Javadoc comment. | 52
| First sentence should end with a period. | 55
| Expected @param tag for 'var'. | 56
| First sentence should end with a period. | 60
| Expected @param tag for 'var'. | 63
| Missing a Javadoc comment. | 67
| Missing a Javadoc comment. | 71
| Missing a Javadoc comment. | 75
| Cyclomatic Complexity is 11 (max allowed is 10). | 82
| Missing a Javadoc comment. | 82
| Redundant throws: 'MissingAttributeException' is subclass of 'JellyTagException'. | 82
| '(' is followed by whitespace. | 83
| '(' is followed by whitespace. | 84
| ')' is preceded with whitespace. | 84
| '(' is followed by whitespace. | 86
| ')' is preceded with whitespace. | 86
| '(' is followed by whitespace. | 87
| ')' is preceded with whitespace. | 87
| 'cast' is not followed by whitespace. | 93
| ',' is not followed by whitespace. | 97
| ',' is not followed by whitespace. | 97
| ',' is not followed by whitespace. | 97
| '}' should be on the same line. | 98
| '}' should be on the same line. | 101
| '}' should be on the same line. | 104
| 'if' is not followed by whitespace. | 106
| ',' is not followed by whitespace. | 107
| '+' should be on a new line. | 109
| '+' is not preceded with whitespace. | 110
| ')' is preceded with whitespace. | 111
| '}' should be on the same line. | 113
| 'cast' is not followed by whitespace. | 119
| 'if' is not followed by whitespace. | 120
| 'if' is not followed by whitespace. | 123

#### org/apache/commons/jelly/tags/core/JellyTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/JellyTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 25
| Field 'log' is used in only one method. | 33
| '(' is followed by whitespace. | 33
| ')' is preceded with whitespace. | 33
| Missing a Javadoc comment. | 35
| Missing a Javadoc comment. | 40
| '(' is followed by whitespace. | 42
| ')' is preceded with whitespace. | 42
| '(' is followed by whitespace. | 43
| ')' is preceded with whitespace. | 43

#### org/apache/commons/jelly/tags/core/MuteTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/MuteTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 35
| Expected @throws tag for 'JellyTagException'. | 45
| Missing a Javadoc comment. | 54
| Expected @param tag for 'o'. | 61

#### org/apache/commons/jelly/tags/core/NewTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 27
| First sentence should end with a period. | 34
| First sentence should end with a period. | 37
| Missing a Javadoc comment. | 40
| Missing a Javadoc comment. | 41
| Missing a Javadoc comment. | 43
| First sentence should end with a period. | 46
| Expected @param tag for 'var'. | 47
| First sentence should end with a period. | 51
| Expected @param tag for 'className'. | 52
| Missing a Javadoc comment. | 56
| Cyclomatic Complexity is 14 (max allowed is 10). | 63
| Missing a Javadoc comment. | 63
| Redundant throws: 'MissingAttributeException' is subclass of 'JellyTagException'. | 63
| '(' is followed by whitespace. | 65
| ')' is preceded with whitespace. | 65
| 'cast' is not followed by whitespace. | 66
| 'if' is not followed by whitespace. | 67
| '(' is followed by whitespace. | 68
| ')' is preceded with whitespace. | 68
| '(' is followed by whitespace. | 71
| ')' is preceded with whitespace. | 71
| '(' is followed by whitespace. | 72
| ')' is preceded with whitespace. | 72
| '(' is followed by whitespace. | 77
| ')' is preceded with whitespace. | 77
| 'if' is not followed by whitespace. | 79
| 'cast' is not followed by whitespace. | 83
| ',' is not followed by whitespace. | 84
| ',' is not followed by whitespace. | 84
| 'if' is not followed by whitespace. | 88
| '}' should be on the same line. | 93
| '}' should be on the same line. | 96
| '}' should be on the same line. | 99
| '}' should be on the same line. | 102
| '}' should be on the same line. | 105

#### org/apache/commons/jelly/tags/core/OtherwiseTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/OtherwiseTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 22
| Missing a Javadoc comment. | 29
| Missing a Javadoc comment. | 34
| '(' is followed by whitespace. | 35
| ')' is preceded with whitespace. | 35
| '(' is followed by whitespace. | 36
| ')' is preceded with whitespace. | 36
| '(' is followed by whitespace. | 37
| ')' is preceded with whitespace. | 37
| '(' is followed by whitespace. | 39
| '!' is followed by whitespace. | 39
| ')' is preceded with whitespace. | 39

#### org/apache/commons/jelly/tags/core/ParseTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/ParseTag.java

Error | Line
--- | ---
| Field 'log' is used in only one method. | 47
| First sentence should end with a period. | 49
| First sentence should end with a period. | 52
| First sentence should end with a period. | 55
| First sentence should end with a period. | 58
| Missing a Javadoc comment. | 61
| Missing a Javadoc comment. | 70
| Redundant throws: 'MissingAttributeException' is subclass of 'JellyTagException'. | 71
| 'text' hides a field. | 73
| '}' should be on the same line. | 76
| '}' should be on the same line. | 84
| First sentence should end with a period. | 93
| Expected an @return tag. | 95
| First sentence should end with a period. | 99
| Expected @param tag for 'var'. | 101
| First sentence should end with a period. | 105
| First sentence should end with a period. | 113
| Javadoc has empty description section. | 122
| Expected @throws tag for 'ParserConfigurationException'. | 123
| Expected @throws tag for 'SAXException'. | 123
| First sentence should end with a period. | 130
| Expected @param tag for 'xmlReader'. | 131
| Javadoc has empty description section. | 136
| First sentence should end with a period. | 158
| Expected an @return tag. | 161
| Expected @throws tag for 'ParserConfigurationException'. | 161
| Expected @throws tag for 'SAXException'. | 161
| First sentence should end with a period. | 169
| Expected @param tag for 'output'. | 172
| Expected @throws tag for 'JellyTagException'. | 172
| '}' should be on the same line. | 180
| First sentence should end with a period. | 186
| Expected @param tag for 'text'. | 189
| Expected @throws tag for 'JellyTagException'. | 189
| '(' is followed by whitespace. | 190
| ')' is preceded with whitespace. | 190
| '(' is followed by whitespace. | 191
| ')' is preceded with whitespace. | 191
| '(' is followed by whitespace. | 195
| '(' is followed by whitespace. | 195
| '(' is followed by whitespace. | 195
| ')' is preceded with whitespace. | 195
| ')' is preceded with whitespace. | 195
| ')' is preceded with whitespace. | 195
| '}' should be on the same line. | 196
| First sentence should end with a period. | 202

#### org/apache/commons/jelly/tags/core/RemoveTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/RemoveTag.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 31
| Missing a Javadoc comment. | 33
| Missing a Javadoc comment. | 38
| '(' is followed by whitespace. | 40
| ')' is preceded with whitespace. | 40
| '}' should be on the same line. | 41
| Expected @param tag for 'var'. | 53

#### org/apache/commons/jelly/tags/core/ScopeTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/ScopeTag.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 35

#### org/apache/commons/jelly/tags/core/SetPropertiesTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/SetPropertiesTag.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 49
| '{' is not preceded with whitespace. | 49
| Missing a Javadoc comment. | 54
| Redundant throws: 'MissingAttributeException' is subclass of 'JellyTagException'. | 54
| '(' is followed by whitespace. | 56
| ')' is preceded with whitespace. | 56
| '(' is followed by whitespace. | 57
| ')' is preceded with whitespace. | 57
| Expected @param tag for 'bean'. | 81
| Expected @param tag for 'attributes'. | 81
| Expected @throws tag for 'JellyTagException'. | 81
| ',' is not followed by whitespace. | 85
| ',' is not followed by whitespace. | 87

#### org/apache/commons/jelly/tags/core/SetTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/SetTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 30
| Field 'log' is used in only one method. | 38
| First sentence should end with a period. | 43
| First sentence should end with a period. | 49
| Missing a Javadoc comment. | 61
| Cyclomatic Complexity is 15 (max allowed is 10). | 66
| Missing a Javadoc comment. | 66
| '(' is followed by whitespace. | 68
| ')' is preceded with whitespace. | 68
| '(' is followed by whitespace. | 69
| ')' is preceded with whitespace. | 69
| Line is longer than 100 characters. | 70
| '(' is followed by whitespace. | 70
| ')' is preceded with whitespace. | 70
| '}' should be on the same line. | 72
| '(' is followed by whitespace. | 74
| ')' is preceded with whitespace. | 74
| Line is longer than 100 characters. | 75
| '(' is followed by whitespace. | 75
| ')' is preceded with whitespace. | 75
| '(' is followed by whitespace. | 77
| ')' is preceded with whitespace. | 77
| Line is longer than 100 characters. | 78
| '(' is followed by whitespace. | 78
| ')' is preceded with whitespace. | 78
| '(' is followed by whitespace. | 83
| ')' is preceded with whitespace. | 83
| '}' should be on the same line. | 88
| '(' is followed by whitespace. | 93
| ')' is preceded with whitespace. | 93
| '(' is followed by whitespace. | 94
| ')' is preceded with whitespace. | 94
| '}' should be on the same line. | 96
| '}' should be on the same line. | 100
| '(' is followed by whitespace. | 102
| ')' is preceded with whitespace. | 102
| First sentence should end with a period. | 108
| Expected @param tag for 'var'. | 110
| Expected @param tag for 'scope'. | 121
| Expected @param tag for 'value'. | 126
| First sentence should end with a period. | 130
| Expected @param tag for 'defaultValue'. | 134
| Expected @param tag for 'target'. | 139
| Expected @param tag for 'property'. | 144
| Expected an @return tag. | 151
| Expected @param tag for 'encode'. | 161
| Missing a Javadoc comment. | 168
| '(' is followed by whitespace. | 168
| ')' is preceded with whitespace. | 168
| '(' is followed by whitespace. | 170
| ')' is preceded with whitespace. | 170
| '(' is followed by whitespace. | 172
| ')' is preceded with whitespace. | 172
| '}' should be on the same line. | 173
| '(' is followed by whitespace. | 175
| ')' is preceded with whitespace. | 175
| Line is longer than 100 characters. | 178
| '(' is followed by whitespace. | 178
| ')' is preceded with whitespace. | 178
| Line is longer than 100 characters. | 180
| '(' is followed by whitespace. | 180
| ')' is preceded with whitespace. | 180
| Javadoc has empty description section. | 184
| Expected @param tag for 'value'. | 188

#### org/apache/commons/jelly/tags/core/SwitchTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/SwitchTag.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 38
| Missing a Javadoc comment. | 54
| Redundant throws: 'MissingAttributeException' is subclass of 'JellyTagException'. | 54
| 'if' is not followed by whitespace. | 59
| Missing a Javadoc comment. | 69
| Missing a Javadoc comment. | 73
| Missing a Javadoc comment. | 77
| Missing a Javadoc comment. | 81
| Missing a Javadoc comment. | 85
| Missing a Javadoc comment. | 89
| Missing a Javadoc comment. | 93
| Instance variable definition in wrong order. | 99
| Missing a Javadoc comment. | 99
| Instance variable definition in wrong order. | 100
| Missing a Javadoc comment. | 100
| Instance variable definition in wrong order. | 101
| Missing a Javadoc comment. | 101
| Instance variable definition in wrong order. | 102
| Missing a Javadoc comment. | 102
| Instance variable definition in wrong order. | 103
| Missing a Javadoc comment. | 103

#### org/apache/commons/jelly/tags/core/ThreadTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/ThreadTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 29
| First sentence should end with a period. | 34
| First sentence should end with a period. | 36
| First sentence should end with a period. | 38
| Static variable definition in wrong order. | 41
| Unused private field 'log'. | 41
| Missing a Javadoc comment. | 43
| Missing a Javadoc comment. | 48
| '(' is followed by whitespace. | 49
| ')' is preceded with whitespace. | 49
| '(' is followed by whitespace. | 52
| ')' is preceded with whitespace. | 52
| Unused local variable 'newContext'. | 59
| '}' should be on the same line. | 68
| '}' should be on the same line. | 72
| 'if' construct must use '{}'s. | 74
| assign child at indentation level 8 not at correct indentation, 12 | 78
| '(' is followed by whitespace. | 79
| ')' is preceded with whitespace. | 79
| '(' is followed by whitespace. | 80
| ')' is preceded with whitespace. | 80
| First sentence should end with a period. | 93
| Expected @param tag for 'xmlOutput'. | 96
| First sentence should end with a period. | 101
| Expected @throws tag for 'IOException'. | 105
| '(' is followed by whitespace. | 107
| ')' is preceded with whitespace. | 107

#### org/apache/commons/jelly/tags/core/UseBeanTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/UseBeanTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 53
| First sentence should end with a period. | 56
| First sentence should end with a period. | 59
| Field 'ignoreProperties' is used in only one method. | 63
| Missing a Javadoc comment. | 74
| Missing a Javadoc comment. | 77
| Javadoc has empty description section. | 84
| Missing a Javadoc comment. | 94
| '(' is followed by whitespace. | 96
| ')' is preceded with whitespace. | 96
| '(' is followed by whitespace. | 97
| ')' is preceded with whitespace. | 97
| '}' should be on the same line. | 112
| First sentence should end with a period. | 121
| Expected @param tag for 'bean'. | 124
| Expected an @return tag. | 134
| Expected @param tag for 'classObject'. | 134
| method def throws at indentation level 4 not at correct indentation, 8 | 135
| Expected @throws tag for 'MissingAttributeException'. | 135
| Expected @throws tag for 'ClassNotFoundException'. | 135
| '}' should be on the same line. | 138
| '(' is followed by whitespace. | 139
| ')' is preceded with whitespace. | 139
| '}' should be on the same line. | 145
| Expected an @return tag. | 157
| Expected @param tag for 'className'. | 157
| Expected @throws tag for 'ClassNotFoundException'. | 157
| Expected an @return tag. | 166
| Expected @param tag for 'theClass'. | 166
| Expected @param tag for 'attributes'. | 166
| Expected @param tag for 'output'. | 166
| method def throws at indentation level 4 not at correct indentation, 8 | 167
| Expected @throws tag for 'JellyTagException'. | 167
| Line is longer than 100 characters. | 181
| Expected @param tag for 'bean'. | 183
| Expected @param tag for 'attributes'. | 183
| Expected @throws tag for 'JellyTagException'. | 183
| ',' is not followed by whitespace. | 192
| ',' is not followed by whitespace. | 194
| '=' is not preceded with whitespace. | 208
| '=' is not followed by whitespace. | 208
| ';' is not followed by whitespace. | 208
| 'cast' is not followed by whitespace. | 209
| '!' is followed by whitespace. | 210
| Expected @param tag for 'var'. | 222
| Expected @param tag for 'bean'. | 222
| Expected @throws tag for 'JellyTagException'. | 222
| '}' should be on the same line. | 225
| 'cast' is not followed by whitespace. | 227
| 'if' is not followed by whitespace. | 228
| First sentence should end with a period. | 234
| Expected an @return tag. | 237
| Expected @param tag for 'name'. | 247
| Javadoc has empty description section. | 251
| Javadoc has empty description section. | 263
| Unused @param tag for 'ignoreUnknownProperties'. | 275
| Expected @param tag for 'ignoreUnknownProps'. | 277

#### org/apache/commons/jelly/tags/core/UseListTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/UseListTag.java

Error | Line
--- | ---
| Extra HTML tag found: &lt;/pre&gt; | 32
| Missing a Javadoc comment. | 39
| Missing a Javadoc comment. | 41
| '{' is not preceded with whitespace. | 41
| Missing a Javadoc comment. | 44
| Missing a Javadoc comment. | 51
| Missing a Javadoc comment. | 57
| Missing a Javadoc comment. | 68
| Missing a Javadoc comment. | 73
| '(' is followed by whitespace. | 82
| ')' is preceded with whitespace. | 82
| Missing a Javadoc comment. | 87

#### org/apache/commons/jelly/tags/core/WhenTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/WhenTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 23
| Missing a Javadoc comment. | 33
| Missing a Javadoc comment. | 38
| '(' is followed by whitespace. | 39
| ')' is preceded with whitespace. | 39
| '(' is followed by whitespace. | 40
| ')' is preceded with whitespace. | 40
| '(' is followed by whitespace. | 41
| ')' is preceded with whitespace. | 41
| '(' is followed by whitespace. | 43
| '!' is followed by whitespace. | 43
| ')' is preceded with whitespace. | 43
| '(' is followed by whitespace. | 44
| '(' is followed by whitespace. | 44
| ')' is preceded with whitespace. | 44
| ')' is preceded with whitespace. | 44
| Expected @param tag for 'test'. | 55

#### org/apache/commons/jelly/tags/core/WhileTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/WhileTag.java

Error | Line
--- | ---
| Field 'log' is used in only one method. | 38
| First sentence should end with a period. | 40
| First sentence should end with a period. | 43
| First sentence should end with a period. | 49
| Unused @throws tag for 'Exception'. | 53
| Redundant throws: 'MissingAttributeException' is subclass of 'JellyTagException'. | 55
| Expected @throws tag for 'JellyTagException'. | 55
| '}' should be on the same line. | 64
| '}' should be on the same line. | 70
| First sentence should end with a period. | 79

#### org/apache/commons/jelly/tags/core/WhitespaceTag.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/tags/core/WhitespaceTag.java

Error | Line
--- | ---
| First sentence should end with a period. | 25
| Field 'log' is used in only one method. | 34
| '(' is followed by whitespace. | 34
| ')' is preceded with whitespace. | 34
| Missing a Javadoc comment. | 36
| Missing a Javadoc comment. | 42
| '(' is followed by whitespace. | 44
| ')' is preceded with whitespace. | 44
| '(' is followed by whitespace. | 45
| ')' is preceded with whitespace. | 45

#### org/apache/commons/jelly/tags/package.html

Error | Line
--- | ---
| Missing package documentation file. | 0

#### org/apache/commons/jelly/test/BaseJellyTest.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/test/BaseJellyTest.java

Error | Line
--- | ---
| Javadoc has empty description section. | 26
| Missing a Javadoc comment. | 32
| Missing a Javadoc comment. | 36
| Missing a Javadoc comment. | 43
| 'if' is not followed by whitespace. | 45
| ',' is not followed by whitespace. | 55
| '+' is not preceded with whitespace. | 55
| '+' is not followed by whitespace. | 55
| Missing a Javadoc comment. | 60
| Missing a Javadoc comment. | 64
| Missing a Javadoc comment. | 68
| Instance variable definition in wrong order. | 72
| Missing a Javadoc comment. | 72
| Instance variable definition in wrong order. | 73
| Missing a Javadoc comment. | 73
| Instance variable definition in wrong order. | 74
| Missing a Javadoc comment. | 74

#### org/apache/commons/jelly/test/package.html

Error | Line
--- | ---
| Missing package documentation file. | 0

#### org/apache/commons/jelly/util/ClassLoaderUtils.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/util/ClassLoaderUtils.java

Error | Line
--- | ---
| Utility classes should not have a public or default constructor. | 25
| First sentence should end with a period. | 27
| Field 'log' is used in only one method. | 28
| Line is longer than 100 characters. | 35
| Expected an @return tag. | 40
| Line is longer than 100 characters. | 40
| Expected @param tag for 'specifiedLoader'. | 40
| Expected @param tag for 'useContextClassLoader'. | 40
| Expected @param tag for 'callingClass'. | 40
| Line is longer than 100 characters. | 55
| Expected an @return tag. | 62
| Expected @param tag for 'specifiedLoader'. | 62
| Expected @param tag for 'callingClass'. | 62
| Expected an @return tag. | 86
| Line is longer than 100 characters. | 86
| Expected @param tag for 'className'. | 86
| Expected @param tag for 'callingClass'. | 86
| Expected @throws tag for 'ClassNotFoundException'. | 86
| Expected an @return tag. | 103
| Line is longer than 100 characters. | 103
| Expected @param tag for 'className'. | 103
| Expected @param tag for 'specifiedLoader'. | 103
| Expected @param tag for 'useContextLoader'. | 103
| Expected @param tag for 'callingClass'. | 103
| Expected @throws tag for 'ClassNotFoundException'. | 103

#### org/apache/commons/jelly/util/CommandLineParser.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/util/CommandLineParser.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 50
| Name '_instance' must match pattern '^[a-z][a-zA-Z0-9]*$'. | 50
| Variable '_instance' must be private and have accessor methods. | 50
| Missing a Javadoc comment. | 52
| Missing a Javadoc comment. | 54
| Cyclomatic Complexity is 15 (max allowed is 10). | 66
| Line is longer than 100 characters. | 76
| '?' should be on a new line. | 109
| Avoid inline conditionals. | 109
| ':' should be on a new line. | 110
| try at indentation level 20 not at correct indentation, 24 | 124
| method call child at indentation level 24 not at correct indentation, 28 | 125
| try child at indentation level 24 not at correct indentation, 28 | 125
| try rcurly at indentation level 20 not at correct indentation, 24 | 126
| catch child at indentation level 24 not at correct indentation, 28 | 127
| method call child at indentation level 24 not at correct indentation, 28 | 127
| catch rcurly at indentation level 20 not at correct indentation, 24 | 128
| if rcurly at indentation level 19 not at correct indentation, 12 | 129
| method def rcurly at indentation level 12 not at correct indentation, 20 | 129
| object def rcurly at indentation level 14 not at correct indentation, 16 | 129
| ')' is preceded with whitespace. | 129
| method def modifier at indentation level 20 not at correct indentation, 16 | 135
| try at indentation level 24 not at correct indentation, 20 | 136
| try child at indentation level 28 not at correct indentation, 24 | 137
| try rcurly at indentation level 24 not at correct indentation, 20 | 138
| '}' should be on the same line. | 138
| catch at indentation level 24 not at correct indentation, 20 | 139
| Must have at least one statement. | 139
| catch rcurly at indentation level 24 not at correct indentation, 20 | 141
| method def rcurly at indentation level 20 not at correct indentation, 16 | 142
| object def rcurly at indentation level 16 not at correct indentation, 12 | 143
| Expected an @return tag. | 156
| Cyclomatic Complexity is 11 (max allowed is 10). | 156
| Expected @param tag for 'args'. | 156
| Expected @throws tag for 'ParseException'. | 156
| ',' is not followed by whitespace. | 161
| ',' is not followed by whitespace. | 162
| ',' is not followed by whitespace. | 167
| ',' is not followed by whitespace. | 167
| ',' is not followed by whitespace. | 167
| ',' is not followed by whitespace. | 167
| ',' is not followed by whitespace. | 167
| ',' is not followed by whitespace. | 167
| ',' is not followed by whitespace. | 167
| Declaring variables, return values or parameters of type 'ArrayList' is not allowed. | 174
| '=' is not preceded with whitespace. | 176
| '=' is not followed by whitespace. | 176
| ';' is not followed by whitespace. | 176
| '&lt;' is not preceded with whitespace. | 176
| '&lt;' is not followed by whitespace. | 176
| ';' is not followed by whitespace. | 176
| 'if' construct must use '{}'s. | 184
| 'if' is not followed by whitespace. | 184
| '==' is not preceded with whitespace. | 184
| '==' is not followed by whitespace. | 184
| '==' is not preceded with whitespace. | 184
| '==' is not followed by whitespace. | 184
| '==' is not preceded with whitespace. | 184
| '==' is not followed by whitespace. | 184
| '-' is not preceded with whitespace. | 184
| '-' is not followed by whitespace. | 184
| ',' is not followed by whitespace. | 186
| '+' is not preceded with whitespace. | 186
| '+' is not followed by whitespace. | 186
| Line is longer than 100 characters. | 195

#### org/apache/commons/jelly/util/NestedRuntimeException.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/util/NestedRuntimeException.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 73
| Missing a Javadoc comment. | 77
| Missing a Javadoc comment. | 81
| Missing a Javadoc comment. | 85

#### org/apache/commons/jelly/util/SafeContentHandler.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/util/SafeContentHandler.java

Error | Line
--- | ---
| Missing a Javadoc comment. | 30
| Missing a Javadoc comment. | 31
| Field 'documentStarted' is used in only one method. | 31
| Missing a Javadoc comment. | 32
| Field 'documentEnded' is used in only one method. | 32
| Missing a Javadoc comment. | 34
| Javadoc has empty description section. | 38
| Expected @throws tag for 'SAXException'. | 41
| '!' is followed by whitespace. | 42
| Javadoc has empty description section. | 48
| Expected @throws tag for 'SAXException'. | 51
| '!' is followed by whitespace. | 52
| Javadoc has empty description section. | 58
| Expected @param tag for 'arg0'. | 64
| Expected @param tag for 'arg1'. | 64
| Expected @param tag for 'arg2'. | 64
| Expected @throws tag for 'SAXException'. | 65
| Javadoc has empty description section. | 69
| Expected @param tag for 'arg0'. | 75
| Expected @param tag for 'arg1'. | 75
| Expected @param tag for 'arg2'. | 75
| Expected @throws tag for 'SAXException'. | 76
| Javadoc has empty description section. | 80
| Expected @param tag for 'arg0'. | 84
| Expected @throws tag for 'SAXException'. | 84
| Javadoc has empty description section. | 88
| Expected @param tag for 'arg0'. | 94
| Expected @param tag for 'arg1'. | 94
| Expected @param tag for 'arg2'. | 94
| Expected @throws tag for 'SAXException'. | 95
| Javadoc has empty description section. | 99
| Expected @param tag for 'arg0'. | 104
| Expected @param tag for 'arg1'. | 104
| Expected @throws tag for 'SAXException'. | 105
| Javadoc has empty description section. | 109
| Expected @param tag for 'arg0'. | 112
| Javadoc has empty description section. | 116
| Expected @param tag for 'arg0'. | 120
| Expected @throws tag for 'SAXException'. | 120
| Javadoc has empty description section. | 124
| Expected @param tag for 'arg0'. | 132
| Expected @param tag for 'arg1'. | 133
| Expected @param tag for 'arg2'. | 134
| Expected @param tag for 'arg3'. | 135
| Expected @throws tag for 'SAXException'. | 136
| Javadoc has empty description section. | 140
| Expected @param tag for 'arg0'. | 145
| Expected @param tag for 'arg1'. | 145
| Expected @throws tag for 'SAXException'. | 146

#### org/apache/commons/jelly/util/TagUtils.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/util/TagUtils.java

Error | Line
--- | ---
| Class TagUtils should be declared as final. | 27
| Missing a Javadoc comment. | 28
| Expected @param tag for 'body'. | 35
| 'synchronized' is not followed by whitespace. | 36
| '(' is followed by whitespace. | 37
| ')' is preceded with whitespace. | 37
| '}' should be on the same line. | 40
| if at indentation level 12 not at correct indentation, 16 | 42
| '(' is followed by whitespace. | 42
| ')' is preceded with whitespace. | 42
| if child at indentation level 16 not at correct indentation, 20 | 43
| if child at indentation level 16 not at correct indentation, 20 | 44
| method call child at indentation level 16 not at correct indentation, 20 | 44
| if rcurly at indentation level 12 not at correct indentation, 16 | 45
| '}' should be on the same line. | 45
| else at indentation level 12 not at correct indentation, 16 | 46
| '(' is followed by whitespace. | 46
| ')' is preceded with whitespace. | 46
| if child at indentation level 16 not at correct indentation, 20 | 47
| if child at indentation level 16 not at correct indentation, 20 | 48
| method call child at indentation level 16 not at correct indentation, 20 | 48
| if rcurly at indentation level 12 not at correct indentation, 16 | 49

#### org/apache/commons/jelly/util/package.html

Error | Line
--- | ---
| Missing package documentation file. | 0

#### org/apache/commons/jelly/xpath/XPathComparator.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/xpath/XPathComparator.java

Error | Line
--- | ---
| First sentence should end with a period. | 36
| First sentence should end with a period. | 39
| Missing a Javadoc comment. | 42
| Missing a Javadoc comment. | 46
| Missing a Javadoc comment. | 51
| Missing a Javadoc comment. | 55
| Missing a Javadoc comment. | 59
| Missing a Javadoc comment. | 63
| 'cast' is not followed by whitespace. | 64
| 'cast' is not followed by whitespace. | 64
| Missing a Javadoc comment. | 67
| Avoid inline conditionals. | 77
| Avoid inline conditionals. | 77
| Expected an @return tag. | 100
| Expected @param tag for 'value'. | 100
| Assignment of parameter 'value' is not allowed. | 104
| Assignment of parameter 'value' is not allowed. | 106
| Assignment of parameter 'value' is not allowed. | 108
| '}' should be on the same line. | 113
| Missing a Javadoc comment. | 125

#### org/apache/commons/jelly/xpath/XPathSource.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/xpath/XPathSource.java

Error | Line
--- | ---
| First sentence should end with a period. | 19
| Missing a Javadoc comment. | 28
| Redundant 'public' modifier. | 28

#### org/apache/commons/jelly/xpath/XPathTagSupport.java

Error | Line
--- | ---
| File does not end with a newline. | 0

#### org/apache/commons/jelly/xpath/XPathTagSupport.java

Error | Line
--- | ---
| First sentence should end with a period. | 20
| Missing a Javadoc comment. | 29
| '(' is followed by whitespace. | 30
| ')' is preceded with whitespace. | 30
| '(' is followed by whitespace. | 31
| ')' is preceded with whitespace. | 31

#### org/apache/commons/jelly/xpath/package.html

Error | Line
--- | ---
| Missing package documentation file. | 0